<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\HomeSlider;
use App\Category;
use App\HomeImage;
use DB;
use App\MenuItem;
use Auth;
use App\Service;
use App\Project;
use App\Page;
use App\AboutStruc;
use App\About;
use App\ContactUs;
use App\Setting;
use Mail;
use App\BlogCategory;
use App\BlogItem;
use App\GalleryImage;
use App\GalleryVideo;
use App\SeoAssistant;
use App\Configration;
use Melbahja\Seo\Schema;
use Melbahja\Seo\Schema\Thing;
use Melbahja\Seo\MetaTags;
use App\Faq;
use App\Brand;
use App\AboutValue;
use App\Career;
use App\Exports\UserDataExport;
use App\Testimonial;
class WebsiteController extends Controller
{
    
    public function checkUrl($slug){
        $checkMenu = MenuItem::where('type',$slug)->first();
        $checkBlog = BlogItem::where('link',$slug)->first();
        $checkService = Service::where('link',$slug)->first();
        $checkProject = Project::where('link',$slug)->first();
        
        if($checkMenu){
            return $this->menus($checkMenu->type);
        }
        
        if($checkBlog){
            return $this->getBlogPage($slug);
        }
        
        if($checkService){
            return $this->getServiceDetails($slug);
        }
        if($checkProject){
            return $this->getProjectDetails($slug);
        }
        
        if(\Request::segment(1) == 'book-now'){
            return $this->BookNow();
        }
    }
    
    ////////////// function returnindex page///////////
    public function home(){
        $lang=\App::getLocale();
        $configration = Configration::where('lang',$lang)->first();
        $setting = Setting::first();
        $seo = SeoAssistant::first();
        $sliders = HomeSlider :: where('lang',$lang)->where('status',1)->get();
        $services = Service::where('status',1)->where('parent_id',0)->orderBy('order')->where('home',1)->orderBy('name_ar')->limit(3)->get();
        $blogs = BlogItem::where('status',1)->get();
        $aboutValues = AboutValue::where('status',1)->get();
        $about = About::first();
        $aboutStrucs = AboutStruc::where('lang',$lang)->where('status',1)->get();
        $brands = Brand::where('status',1)->get();
        $testimonials = Testimonial::where('lang',$lang)->where('status',1)->get();
        $subServices = Service::where('status',1)->where('parent_id', '!=', 0)->orderBy('order')->where('home',1)->orderBy('name_ar')->get();

        $schema1 = new Thing('LocalBusiness', [
            'name'          => $configration->app_name,
            'url'          => url('/'),
            'image'         => url("uploads/settings/source/$configration->app_logo"),
            'telephone' => $setting->mobile,
            'address' => $configration->address1,
        ]);

        
        $schema2= new Thing('Organization', [
            'url'          => url('/'),
            'logo'         => url("uploads/settings/source/$configration->app_logo"),
            'contactPoint' => new Thing('ContactPoint', [
                'telephone' => $setting->mobile,
                'contactType' => 'customer service'
            ]),
        ]);

        $schema = new Schema(
            $schema1,
            $schema2
        );
        
        $metatags = new MetaTags();
        $metatags
                ->title(($seo->home_meta_title)? $seo->home_meta_title:$configration->app_name)
                ->meta('title',($seo->home_meta_title)? $seo->home_meta_title:$configration->app_name)
                ->description(($seo->home_meta_desc)?$seo->home_meta_desc:strip_tags($configration->about_app))
                ->meta('author',$configration->app_name)
                ->image(url("uploads/settings/source/$configration->app_logo"))
                ->mobile(url('/'))
                ->canonical(url('/'))
                ->shortlink(url('/'))
                ->meta('robots',($seo->home_meta_robots)?'index':'noindex');
        

        return view('website.home',compact('sliders','services', 'subServices','blogs','schema','metatags','about','aboutStrucs','brands', 'aboutValues', 'testimonials'));
    }

    ////////////FUNCTION RETURN VIEW ABOUT US//////
    public function aboutUs(){
        $lang=\App::getLocale();
        $configration = Configration::where('lang',$lang)->first();
        $seo = SeoAssistant::first();
        $about = About::first();
        $aboutStrucs = AboutStruc::where('lang',$lang)->where('status',1)->get();
        $aboutValues = AboutValue::where('status',1)->get();
        $coverImage = HomeImage::find(1);
        if($lang == 'en'){
            $coverImage = $coverImage->img_en;
        }else{
            $coverImage = $coverImage->img_ar;
        }

        $metatags = new MetaTags();
        $metatags   
                ->title(($seo->about_meta_title)? $seo->about_meta_title : (($lang == 'en')?$about->title_en:$about->title_ar))
                ->meta('title',($seo->about_meta_title)? $seo->about_meta_title :$about->title_ar)
                ->description(($seo->about_meta_desc)?$seo->about_meta_desc:(($lang == 'en')?strip_tags($about->text_en):strip_tags($about->text_ar)))
                ->meta('author',$configration->app_name)
                ->image(url("uploads/settings/source/$configration->app_logo"))
                ->mobile(url('/about-us'))
                ->canonical(url('/about-us'))
                ->shortlink(url('/about-us'))
                ->meta('robots',($seo->about_meta_robots)?'index':'noindex');
                
        $schema = new Schema(
            new Thing('Article', [
                'url'=> url("/about-us"),
                'image'=> url("uploads/settings/source/$configration->app_logo"),
                'headline'=> ($seo->about_meta_title)?$seo->about_meta_title:(($lang == 'en')?$about->title_en:$about->title_ar),
                'author' => new Thing('author', [
                    'name'=>$configration->app_name,
                    'url'=> url("/about-us"),
                ]),
                
                'datePublished'=> $about->crated_at,
                'dateModified'=> $about->updated_at,
            ])
        );
                
        return view('website.about-us',compact('lang','about','aboutStrucs','metatags','schema','coverImage','aboutValues'));
    }

    ////////////FUNCTION RETURN VIEW CONTACT US//////
    public function contactUs(){
        $lang=\App::getLocale();
        $configration = Configration::where('lang',$lang)->first();
        $seo = SeoAssistant::first();
        $services = Service::where('status',1)->where('parent_id',0)->orderBy('order')->where('home',1)->orderBy('name_ar')->take(8)->get();

        $metatags = new MetaTags();
        $metatags
                ->title(($seo->contact_meta_title)?$seo->contact_meta_title:$configration->app_name)
                ->meta('title',($seo->contact_meta_title)?$seo->contact_meta_title:$configration->app_name)
                ->description(($seo->contact_meta_desc)?$seo->contact_meta_desc:strip_tags($configration->about_app))
                ->meta('author',$configration->app_name)
                ->image(url("uploads/settings/source/$configration->app_logo"))
                ->mobile(url('/contact-us'))
                ->canonical(url('/contact-us'))
                ->shortlink(url('/contact-us'))
                ->meta('robots',($seo->contact_meta_robots)?'index':'noindex');
                
        $schema = new Schema(
            new Thing('Article', [
                'url'=> url("/contact-us"),
                'image'=> url("uploads/settings/source/$configration->app_logo"),
                'headline'=> ($seo->contact_meta_title)?$seo->contact_meta_title:$configration->app_name,
                'author' => new Thing('author', [
                    'name'=>$configration->app_name,
                    'url'=> url("/contact-us"),
                ]),
            ])
        );
        
        $coverImage = HomeImage::find(2);
        if($lang == 'en'){
            $coverImage = $coverImage->img_en;
        }else{
            $coverImage = $coverImage->img_ar;
        }
        
        return view('website.contact-us',compact('lang','schema','metatags','services','coverImage'));
    }

    ////////////// function saveContact//////////
    public function saveContactUs(Request $request){
         $request->validate([
           'name'=>'required|max:150',
           'email'=>'required|email',
           'message'=>'required',
           'phone'=>'required|regex:/(01)[0-9]{9}/',
         ]);
        $formData= $request->all();
        
        $contact = new ContactUs();
        $contact->name = $request->name;
        $contact->email = $request->email;
        $contact->phone = $request->phone;
        $contact->message = $request->message;
        $contact->save();


//         $data = array('contact' => $contact);
//         $setting = Setting::first();
// 	    Mail::send('emails/contact_email', $data, function($msg) use ($setting) {
//   			$msg->to($setting ->contact_email, 'Ikokeez')->subject('Contact Us');
//   			$msg->from(config('mail.from.address'),config('mail.from.name'));
// 		});

        return redirect()->back()->with(['contact_message'=>trans('home.Thank you for contacting us. A customer service officer will contact you soon')]);

    }



    ////////// FUNCTION RETURN PAGE INFORMATION /////////
    public function getPage($link){
        $lang=\App::getLocale();
        $page =Page::where('link',$link)->first();
        return view('website.page',compact('lang','page'));

    }

    ///////// function retun dynamic menu//////////
    public function menus($menu){
        $menu = MenuItem::where('type',$menu)->first();
        $lang=\App::getLocale();
        
        if($menu->type == 'home'){
            return $this->home();
        }

        elseif($menu->type == 'about-us'){
            return $this->aboutUs();
        }

        elseif($menu->type == 'contact-us'){
            return $this->contactUs();
        }

        elseif($menu->type == 'projects'){
            return $this->getProjects();
        }
        
        elseif($menu->type == 'project'){
            return $this->getProjectDetails($menu->type_value);
        }

        elseif($menu->type == 'services'){
            return $this->getservices();
        }
        
        elseif($menu->type == 'service'){
            return $this->getServiceDetails($menu->type_value);
        }
        elseif($menu->type == 'galleryImages'){
             return $this->getGalleryImages();
        }
        
        elseif($menu->type == 'certificates'){
             return $this->getCertificates();
        }
        
        elseif($menu->type == 'galleryVideos'){
             return $this->getGalleryVideos();
        }


        elseif($menu->type == 'blogs'){
             return $this->getBlogs();
        }
        
        elseif($menu->type == 'categories'){
             return $this->getScopes();
        }
        
        elseif($menu->type == 'category'){
             return redirect("scope/$menu->type_value/details");
        }
        
    }

    /////////////////////FUNCTION RETURN VIEW BLOGS ///////////
    public function getBlogs(){
        $lang=\App::getLocale();
        $blogCategories = BlogCategory::where('status',1)->get();
        $blogCategoriesIds = BlogCategory::where('status',1)->pluck('id')->toArray();
        $blogs = BlogItem::whereIn('blogcategory_id',$blogCategoriesIds)->where('status',1)->paginate(15);
        $configration = Configration::where('lang',$lang)->first();
        $seo = SeoAssistant::first();
        
        $coverImage = HomeImage::find(9);
        if($lang == 'en'){
            $coverImage = $coverImage->img_en;
        }else{
            $coverImage = $coverImage->img_ar;
        }
        
        $metatags = new MetaTags();
        $metatags
                ->title(($seo->blogs_meta_title)?$seo->blogs_meta_title:$configration->app_name)
                ->meta('title',($seo->blogs_meta_title)?$seo->blogs_meta_title:$configration->app_name)
                ->description(($seo->blogs_meta_desc)?$seo->blogs_meta_desc:strip_tags($configration->about_app))
                ->meta('author',$configration->app_name)
                ->image(url("uploads/settings/source/$configration->app_logo"))
                ->mobile(url('/blogs'))
                ->canonical(url('/blogs'))
                ->shortlink(url('/blogs'))
                ->meta('robots',($seo->blogs_meta_robots)?'index':'noindex');
                
        return view('website.blogs',compact('lang','blogCategories','blogs','metatags','coverImage'));
    }

    /////////////////////FUNCTION RETURN VIEW BLOG ///////////
    public function getBlogPage($link){
        $lang=\App::getLocale();
        $blog = BlogItem::where('link',$link)->first();
        $faqs = Faq::where('type','blog_item')->where('blog_item_id',$blog->id)->get();
        $configration = Configration::where('lang',$lang)->first();
        $about = About::first();
        
        $coverImage = HomeImage::find(10);
        if($lang == 'en'){
            $coverImage = $coverImage->img_en;
        }else{
            $coverImage = $coverImage->img_ar;
        }
        
        $metatags = new MetaTags();
        $metatags
                ->title(($blog->meta_keywords)?$blog->meta_keywords : (($lang == 'en')?$blog->title_en:$blog->title_ar))
                ->meta('title',($blog->meta_keywords)?$blog->meta_keywords:$configration->app_name)
                ->description(($blog->meta_description)?$blog->meta_description:strip_tags($configration->about_app))
                ->meta('author',$blog->writer)
                ->image(url("uploads/blogItems/source/$blog->image"))
                ->mobile(url("$link"))
                ->canonical(url("$link"))
                ->shortlink(url("$link"))
                ->meta('robots',($blog->meta_robots)?'index':'noindex');
                
        $schema1 = new Thing('Article', [
            'url'=> url("$link"),
            'image'=> url("uploads/blogItems/source/$blog->image"),
            'headline'=>($lang == 'en')?$blog->title_en:$blog->title_ar,
            'author' => new Thing('author', [
                'name'=>$blog->writer,
                'url'=> url("$link"),
            ]),
            
            'datePublished'=> $blog->crated_at,
            'dateModified'=> $blog->updated_at,
        ]);
        
        $ques = [];
        foreach($faqs as $faq){
            $x = new Thing('Question', [
                'name'=>$faq->question,
                'acceptedAnswer' => new Thing('Answer', [
                    'text'=>$faq->answer,
                ]),
            ]);
            
            array_push($ques,$x);
        }

        $schema2 = new Thing('FAQPage', [
            'mainEntity' =>[
                $ques
            ]
        
        ]);
        
        $schema = new Schema(
            $schema1,
            $schema2
        );

        $blogs = BlogItem::where('id','!=',$blog->id)->where('status',1)->get();
        return view('website.blogPage',compact('lang','blog','schema','metatags','faqs','blogs','coverImage', 'about'));
    }

    /////////////////////FUNCTION RETURN VIEW CATEGORY BLOGs ///////////
    public function getCategoryBlogs($id){
        $lang=\App::getLocale();
        $blogCategory = BlogCategory::find($id);
        $blogCategories = BlogCategory::where('status',1)->get();
        $blogs = BlogItem::where('blogcategory_id',$id)->where('status',1)->get();
        return view('website.category-blogs',compact('lang','blogCategories','blogs','blogCategory'));
    }

    ////////// function return country regions/////
    public function getRegions(){
        $id = $_POST['id'];
        $regions = Region::where('Country_id',$id)->where('status',1)->select('name_en','id','name_ar')->get();
        return response()->json($regions);
    }

    ////////// function return region areas/////
    public function getAreas(){
        $id = $_POST['id'];
        $areas = Area::where('region_id',$id)->where('status',1)->select('name_en','id','name_ar')->get();
        return response()->json($areas);
    }
    
    ////////// function return list of published products/////
    public function getProjects(){
        $projects =Project::where('status',1)->get();
        $lang=\App::getLocale();
        $configration = Configration::where('lang',$lang)->first();
        $services = Service::where('status',1)->where('parent_id',0)->orderBy('order')->orderBy('name_ar')->take(8)->get();
        $seo = SeoAssistant::first();
        
        $coverImage = HomeImage::find(6);
        if($lang == 'en'){
            $coverImage = $coverImage->img_en;
        }else{
            $coverImage = $coverImage->img_ar;
        }

        $metatags = new MetaTags();
        $metatags
                ->title($configration->app_name .'|'. trans('home.patient_gallery'))
                ->meta('title',($seo->projects_meta_title)?substr($seo->projects_meta_title,0,60):substr($configration->app_name,0,60))
                ->description(($seo->projects_meta_desc)?substr($seo->projects_meta_desc,0,160):substr(strip_tags($configration->about_app),0,160))
                ->meta('author',$configration->app_name)
                ->image(url("uploads/settings/source/$configration->app_logo"))
                ->mobile(url('/projects'))
                ->canonical(url('/projects'))
                ->shortlink(url('/projects'))
                ->meta('robots',($seo->projects_meta_robots)?'index':'noindex');
                
        return view('website.projects',compact('projects','metatags','services','coverImage'));
    }
    
    ////////// function return project Details /////
    public function getProjectDetails($link){
        $project =Project::where('link', $link)->first();
        if($project){
            $about = About::first();
            $lang=\App::getLocale();
            $configration = Configration::where('lang',$lang)->first();
            $seo = SeoAssistant::first();
            $schema1 = new Thing('Article', [
                    'url'=> url("project/'.$project->id/details"),
                    'image'=> url("uploads/settings/source/$configration->app_logo"),
                    'headline'=>($project->meta_keywords)?$project->meta_keywords : $project->name_en,
                    'author' => new Thing('author', [
                        'name'=>$configration->app_name,
                        'url'=> url('/'),
                    ]),
                    
                    'datePublished'=> $project->crated_at,
                    'dateModified'=> $project->updated_at,
                ]);

            $schema = new Schema(
                $schema1
            );
            
            $metatags = new MetaTags();
            $metatags
                    ->title( ($project->meta_keywords)?$project->meta_keywords : (($project == 'en')?$project->name_en:$project->name_ar))
                    ->meta('title',($project->meta_keywords)?$project->meta_keywords : (($project == 'en')?$project->name_en:$project->name_ar))
                    ->description(($project->meta_keywords)?$project->meta_keywords:strip_tags($project->text_en))
                    ->meta('author',$configration->app_name)
                    ->image(url("uploads/projects/source/$project->img"))
                    ->mobile(url("project/'.$project->id/details"))
                    ->canonical(url("project/'.$project->id/details"))
                    ->shortlink(url("project/'.$project->id/details"))
                    ->meta('robots',($project->meta_robots)?'index':'noindex');
    
            $services = Service::where('status',1)->orderBy('order')->orderBy('name_ar')->get();
            $projects = Project::where('service_id',$project->service_id)->where('status',1)->get();
            
            $coverImage = HomeImage::find(8);
            if($lang == 'en'){
                $coverImage = $coverImage->img_en;
            }else{
                $coverImage = $coverImage->img_ar;
            }
            
            return view('website.project-details',compact('project','metatags','schema','services','projects','coverImage', 'about'));
        }else{
            abort('404');
        }
    }
    
    ////////// function return list of published services/////
    public function getservices(){
        $lang=\App::getLocale();
        $services =Service::orderBy('order')->orderBy('name_ar')->where('status',1)->get();
        $servicesParent =Service::where('parent_id', 0)->orderBy('order')->orderBy('name_ar')->where('status',1)->get();
        $about = About::first();
        $configration = Configration::where('lang',$lang)->first();
        $seo = SeoAssistant::first();
        $subServices = Service::where('status',1)->where('parent_id', '!=', 0)->orderBy('order')->orderBy('name_ar')->get();
        
        $coverImage = HomeImage::find(5);
        if($lang == 'en'){
            $coverImage = $coverImage->img_en;
        }else{
            $coverImage = $coverImage->img_ar;
        }

        $metatags = new MetaTags();
        $metatags
                ->title(($seo->services_meta_title)?$seo->services_meta_title:$configration->app_name)
                ->meta('title',($seo->services_meta_title)?$seo->services_meta_title:$configration->app_name)
                ->description(($seo->services_meta_dsec)?$seo->services_meta_desc:strip_tags($configration->about_app))
                ->meta('author',$configration->app_name)
                ->image(url("uploads/settings/source/$configration->app_logo"))
                ->mobile(url('/services'))
                ->canonical(url('/services'))
                ->shortlink(url('/services'))
                ->meta('robots',($seo->services_meta_robots)?'index':'noindex');
                
        return view('website.services',compact('services', 'servicesParent', 'subServices','about','metatags','coverImage'));
    }
    
    ////////// function return project service /////
    public function getServiceDetails($link){
        $service =Service::where('link',$link)->first();
        $faqs = Faq::where('type','service')->where('service_id',$service->id)->get();
        $lastServices =Service::where('status',1)->orderBy('id', 'desc')->limit(6)->get();
        $lang=\App::getLocale();
        $configration = Configration::where('lang',$lang)->first();
        $seo = SeoAssistant::first();        
        $coverImage = HomeImage::find(7);
        if($lang == 'en'){
            $coverImage = $coverImage->img_en;
        }else{
            $coverImage = $coverImage->img_ar;
        }
        
        if($service){
            $services = Service::where('parent_id',$service->id)->where('status',1)->get();
            $lastServices =Service::where('status',1)->orderBy('id', 'desc')->limit(6)->get();

            if(count($services) > 0){
                return view('website.subServices',compact('services','service', 'lastServices'));
            }else{
                $about = About::first();
                
                $schema1 = new Thing('Article', [
                        'url'=> url("$link"),
                        'image'=> url("uploads/settings/source/$configration->app_logo"),
                        'headline'=>($service->meta_keywords)?$service->meta_keywords : $service->name_en,
                        'author' => new Thing('author', [
                            'name'=>$configration->app_name,
                            'url'=> url('/'),
                        ]),
                        
                        'datePublished'=> $service->crated_at,
                        'dateModified'=> $service->updated_at,
                    ]);
                
                $ques = [];
                foreach($faqs as $faq){
                    $x = new Thing('Question', [
                        'name'=>$faq->question,
                        'acceptedAnswer' => new Thing('Answer', [
                            'text'=>$faq->answer,
                        ]),
                    ]);
                    
                    array_push($ques,$x);
                }
        
                $schema2 = new Thing('FAQPage', [
                    'mainEntity' =>[
                        $ques
                    ]
                
                ]);
                
                $schema = new Schema(
                    $schema1,
                    $schema2
                );
                
                $metatags = new MetaTags();
                $metatags
                        ->title( ($service->meta_keywords)?$service->meta_keywords : ((app()->getLocale() == 'en')?$service->name_en:$service->name_ar))
                        ->meta('title',($service->meta_keywords)?$service->meta_keywords : ((app()->getLocale() == 'en')?$service->name_en:$service->name_ar))
                        ->description(($service->meta_keywords)?$service->meta_keywords:strip_tags($service->text_en))
                        ->meta('author',$configration->app_name)
                        ->image(url("uploads/services/source/$service->img"))
                        ->mobile(url("$link"))
                        ->canonical(url("$link"))
                        ->shortlink(url("$link"))
                        ->meta('robots',($service->meta_robots)?'index':'noindex');
                        
                $services = Service::where('parent_id',$service->parent_id)->where('status',1)->get();
            
                return view('website.service-details',compact('service','about','lastServices','services','metatags','schema','faqs','services','coverImage'));
            }    
        }else{
            abort('404');
        }
    }
    
    public function getGalleryImages(){
        $lang=\App::getLocale();
        $images =GalleryImage::where('status',1)->orderBy('order','asc')->get();
        $imagesType = trans('home.galleryImages');
        $about = About::first();
        $configration = Configration::where('lang',$lang)->first();
        $seo = SeoAssistant::first();
        $allServices = Service::where('status',1)->get();
        
        $coverImage = HomeImage::find(3);
        if($lang == 'en'){
            $coverImage = $coverImage->img_en;
        }else{
            $coverImage = $coverImage->img_ar;
        }

        $metatags = new MetaTags();
        $metatags
                ->title(($seo->gallery_images_meta_title)?$seo->gallery_images_meta_title:$configration->app_name)
                ->meta('title',($seo->gallery_images_meta_title)?$seo->gallery_images_meta_title:$configration->app_name)
                ->description(($seo->gallery_images_meta_desc)?$seo->gallery_images_meta_desc:strip_tags($configration->about_app))
                ->meta('author',$configration->app_name)
                ->image(url("uploads/settings/source/$configration->app_logo"))
                ->mobile(url('/galleryImages'))
                ->canonical(url('/galleryImages'))
                ->shortlink(url('/galleryImages'))
                ->meta('robots',($seo->gallery_images_meta_robots)?'index':'noindex');
                
        $schema = new Schema(
            new Thing('Article', [
                'url'=> url("/galleryImages"),
                'image'=> url("uploads/settings/source/$configration->app_logo"),
                'headline'=> ($seo->gallery_images_meta_title)?$seo->gallery_images_meta_title:$configration->app_name,
                'author' => new Thing('author', [
                    'name'=>$configration->app_name,
                    'url'=> url("/galleryImages"),
                ]),
            ])
        );
        
        
        return view('website.gallery-images',compact('images','about','metatags','schema','imagesType','coverImage', 'allServices'));
    }

    public function getCertificates(){
        $lang=\App::getLocale();
        $images =GalleryImage::where('status',1)->orderBy('order','asc')->where('type','certificate')->paginate(15);
        $imagesType = trans('home.certificates');
        $about = About::first();
        $configration = Configration::where('lang',$lang)->first();
        $seo = SeoAssistant::first();
        
        $coverImage = HomeImage::find(12);
        if($lang == 'en'){
            $coverImage = $coverImage->img_en;
        }else{
            $coverImage = $coverImage->img_ar;
        }

        $metatags = new MetaTags();
        $metatags
                ->title(($seo->gallery_images_meta_title)?$seo->gallery_images_meta_title:$configration->app_name)
                ->meta('title',($seo->gallery_images_meta_title)?$seo->gallery_images_meta_title:$configration->app_name)
                ->description(($seo->gallery_images_meta_desc)?$seo->gallery_images_meta_desc:strip_tags($configration->about_app))
                ->meta('author',$configration->app_name)
                ->image(url("uploads/settings/source/$configration->app_logo"))
                ->mobile(url('/galleryImages'))
                ->canonical(url('/galleryImages'))
                ->shortlink(url('/galleryImages'))
                ->meta('robots',($seo->gallery_images_meta_robots)?'index':'noindex');
                
        $schema = new Schema(
            new Thing('Article', [
                'url'=> url("/galleryImages"),
                'image'=> url("uploads/settings/source/$configration->app_logo"),
                'headline'=> ($seo->gallery_images_meta_title)?$seo->gallery_images_meta_title:$configration->app_name,
                'author' => new Thing('author', [
                    'name'=>$configration->app_name,
                    'url'=> url("/galleryImages"),
                ]),
            ])
        );

        return view('website.gallery-images',compact('images','about','metatags','schema','imagesType','coverImage'));
    }
    
    public function getGalleryVideos(){
        $lang=\App::getLocale();
        $videos =GalleryVideo::where('status',1)->orderBy('order','asc')->get();
        $about = About::first();
        $configration = Configration::where('lang',$lang)->first();
        $seo = SeoAssistant::first();
        
        $coverImage = HomeImage::find(4);
        if($lang == 'en'){
            $coverImage = $coverImage->img_en;
        }else{
            $coverImage = $coverImage->img_ar;
        }
        
        
        $metatags = new MetaTags();
        $metatags
                ->title(($seo->gallery_videos_meta_title)?$seo->gallery_videos_meta_title:$configration->app_name)
                ->meta('title',($seo->gallery_videos_meta_title)?$seo->gallery_videos_meta_title:$configration->app_name)
                ->description(($seo->gallery_videos_meta_desc)?$seo->gallery_videos_meta_desc:strip_tags($configration->about_app))
                ->meta('author',$configration->app_name)
                ->image(url("uploads/settings/source/$configration->app_logo"))
                ->mobile(url('/galleryVideos'))
                ->canonical(url('/galleryVideos'))
                ->shortlink(url('/galleryVideos'))
                ->meta('robots',($seo->gallery_videos_meta_desc)?'index':'noindex');
                
        $schema = new Schema(
            new Thing('Article', [
                'url'=> url("/galleryVideos"),
                'image'=> url("uploads/settings/source/$configration->app_logo"),
                'headline'=> ($seo->gallery_videos_meta_title)?$seo->gallery_videos_meta_title:$configration->app_name,
                'author' => new Thing('author', [
                    'name'=>$configration->app_name,
                    'url'=> url("/galleryVideos"),
                ]),
            ])
        );
        return view('website.gallery-videos',compact('videos','about','metatags','schema','coverImage'));
    }
    
    public function career(){
        $lang=\App::getLocale();
        $configration = Configration::where('lang',$lang)->first();
        $seo = SeoAssistant::first();
        
        $coverImage = HomeImage::find(11);
        if($lang == 'en'){
            $coverImage = $coverImage->img_en;
        }else{
            $coverImage = $coverImage->img_ar;
        }

        $metatags = new MetaTags();
        $metatags
                ->title(($seo->career_meta_title)?$seo->career_meta_title:$configration->app_name)
                ->meta('title',($seo->career_meta_title)?$seo->career_meta_title:$configration->app_name)
                ->description(($seo->career_meta_desc)?$seo->career_meta_desc:strip_tags($configration->about_app))
                ->meta('author',$configration->app_name)
                ->image(url("uploads/settings/source/$configration->app_logo"))
                ->mobile(url('/career'))
                ->canonical(url('/career'))
                ->shortlink(url('/career'))
                ->meta('robots',($seo->career_meta_robots)?'index':'noindex');
                
        $schema = new Schema(
            new Thing('Article', [
                'url'=> url("/book-now"),
                'image'=> url("uploads/settings/source/$configration->app_logo"),
                'headline'=> ($seo->career_meta_title)?$seo->career_meta_title:$configration->app_name,
                'author' => new Thing('author', [
                    'name'=>$configration->app_name,
                    'url'=> url("/career"),
                ]),
            ])
        );
        return view('website.career',compact('metatags','schema','coverImage'));
    }
    
    public function saveCareer(Request $request){
        $request->validate([
          'name'=>'required|max:150',
          'email'=>'required|email',
          'message'=>'required',
          'phone'=>'required|regex:/(01)[0-9]{9}/',
          'cv' => 'required|max:10000|mimes:pdf'
        ]);

        $add = new Career();
        $add->name = $request->name;
        $add->email = $request->email;
        $add->phone = $request->phone;
        $add->message = $request->message;

        //upload pdf file
        if($request->hasFile("cv")){
            $extension = $request->file('cv')->getClientOriginalExtension();
            $filename = rand(11111111, 99999999). '.' . $extension;
            $request->file('cv')->move( base_path() . '/uploads/careers/pdf', $filename );
            $add->cv = $filename;
        }
    
        $add->save();

//      $data = array('contact' => $contact);
//      $setting = Setting::first();
// 	    Mail::send('emails/contact_email', $data, function($msg) use ($setting) {
//   			$msg->to($setting ->contact_email, 'Ikokeez')->subject('Contact Us');
//   			$msg->from(config('mail.from.address'),config('mail.from.name'));
// 		});

        return back()->with(['success'=>trans('home.Thank you.one of our hiring team members will contact you soon')]);

    }
    
    public function getScopes(){
        $lang=\App::getLocale();
        $scopes =Category::where('status',1)->get();


        return view('website.scopes',compact('scopes'));
    }
    
    public function getScopeDetails($id){
        $lang=\App::getLocale();
        $scope =Category::find($id);
        if($scope){
            $scopes = Category::get();
            $services = Service::where('status',1)->get();
            $coverImage = HomeImage::find(14);
            if($lang == 'en'){
                $coverImage = $coverImage->img_en;
            }else{
                $coverImage = $coverImage->img_ar;
            }
            return view('website.scopeDetails',compact('scopes','scope','coverImage','services'));
        }else{
            abort('404');
        }


    }
    
    public function search(Request $request){
        $search_input = $request->input('search_input');
        if ($search_input == '') {
             $services = Service::where('status',1)->where('status',1)->get();
        }else{
            if ($search_input){
                $services_en = Service::where('name_en', 'LIKE', '%' . $search_input . '%')->where('status',1)->get();
            }
            if ($search_input){
                $services_ar = Service::where('name_ar', 'LIKE', '%' . $search_input . '%')->where('status',1)->get();
            }
            $services=$services_en->merge($services_ar);
        }   
        
        $lang=\App::getLocale();
        $coverImage = HomeImage::find(15);
        if($lang == 'en'){
            $coverImage = $coverImage->img_en;
        }else{
            $coverImage = $coverImage->img_ar;
        }
        return view('website.searchResults',compact('coverImage','services'));
    }
    
}
