@extends('layouts.app')
@section('meta')
    @php echo $metatags @endphp

    @php echo $schema @endphp
@endsection

@section('content')
    <!--Page Header Start-->
    <section class="page-header">
        <div class="page-header-bg jarallax" data-jarallax data-speed="0.2" data-imgPosition="50% 0%" style="background-image: url({{url('resources/assets/front/images/slide-1.webp')}})" >
        </div>
        <div class="container">
            <div class="page-header__inner">
                <ul class="thm-breadcrumb list-unstyled">
                    <li><a href="{{url('/')}}">{{trans('home.home')}}</a></li>
                    <li><span>/</span></li>
                    <li>{{app()->getLocale() == "en" ? $blog->title_en : $blog->title_ar}}</li>
                </ul>
                <h2>{{app()->getLocale() == "en" ? $blog->title_en : $blog->title_ar}}</h2>
            </div>
        </div>
    </section>
    <!--Page Header End-->
    <!--Blog Sidebar Start-->
    <section class="blog-sibebar">
        <div class="container">
            <div class="row flex-row-reverse">
                <div class="col-xl-8 col-lg-7">
                    <div class="blog-sideabr__left">
                        <div class="blog-sidebar__content">
                            <!--Blog Sidebar Single-->
                            <div class="blog-sidebar__single">
                                <div class="blog-sidebar__img">
                                    <img src="{{url('uploads/blogitems/source/' . $blog->image)}}" alt="">
                                </div>
                                <div class="blog-sidebar__content-box">
                                    <ul class="list-unstyled blog-sibebar__meta">

                                        <li><a href="#"><i class="far fa-user-circle"></i>{{$blog->writer}}
                                            </a>
                                        </li>
                                        <li><span>/</span></li>
                                        <li><a href="#"><i class="far fa-calendar"></i> 
                                            {{$blog->date}}</a>
                                        </li>
                                    </ul>
                                    <h3 class="blog-sidebar__title">
                                        <a href="#">{{app()->getLocale() == "en" ? $blog->title_en : $blog->title_ar}}</a>
                                    </h3>
                                    <p class="blog-sidebar__text">
                                        {!! app()->getLocale() == "en" ? $blog->text_en : $blog->text_ar !!}

                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-xl-4 col-lg-5 ">
                    <div class="sidebar">
                        <div class="service-details__left">
                            @if (count($blogs) > 0)
                                <div class="service-details__category">
                                    <ul class="service-details__category-list list-unstyled">
                                        @foreach ($blogs as $blog)
                                        <li><a href="{{route('checkUrl', $blog->link)}}">{{app()->getLocale() == "en" ? $blog->title_en : $blog->title_ar}}<span class="fa fa-angle-right"></span></a></li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif

                            <div class="service-details__category mt-5">
                                <div class="contact-page__form">
                                    <div class="section-title ">
                                        <h2 class="section-title__title">{{trans('home.contact-us')}}</h2>
                                        <div class="section-title__line"></div>
                                    </div>
                                    <form action="{{route('saveContactUs')}}" method="POST">
                                        @csrf
                                        <div class="row">
                                            <div class="col-12">
                                                <div class="comment-form__input-box">
                                                    <input type="text" placeholder="{{trans('home.name')}}" name="name">
                                                </div>
                                            </div>
                                            <div class="col-12">
                                                <div class="comment-form__input-box">
                                                    <input type="text" placeholder="{{trans('home.phone')}}" name="phone">
                                                </div>
                                            </div>
                                            <div class="col-12">
                                                <div class="comment-form__input-box">
                                                    <input type="email" placeholder="{{trans('home.email')}}" name="email">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-xl-12">
                                                <div class="comment-form__input-box text-message-box">
                                                    <textarea name="message" placeholder="{{trans('home.leave-message')}}"></textarea>
                                                </div>
                                                <div class="comment-form__btn-box">
                                                    <button type="submit" class="thm-btn comment-form__btn">{{trans('home.send')}}</button>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--Blog Sidebar End-->

    <!--Google Map Start-->
    <section class="google-map-two">
        <iframe src="{{$setting->map_url}}"class="google-map__two-box" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
    </section>
        <!--Google Map End-->


@endsection

@section('script')


    @if(Session::has('contact_message'))
        <script>
            $.alert({
                title: "{{trans('home.contact_us')}}",
                content: "{{Session::get('contact_message')}}",
                buttons: {
                    ok: {
                        text: "{{trans('home.OK')}}",
                        btnClass: 'btn main-btn',
                    },
                },
                columnClass: 'col-md-6'
            });
        </script>
    @endif
    @php
        Session::forget('contact_message')
    @endphp
@endsection    