@extends('layouts.app')
@section('meta')
    @php echo $metatags @endphp
@endsection

@section('content')
    <!--Page Header Start-->
    <section class="page-header">
        <div class="page-header-bg jarallax" data-jarallax data-speed="0.2" data-imgPosition="50% 0%" style="background-image: url({{url('resources/assets/front/images/slide-1.webp')}})" >
        </div>
        <div class="container">
            <div class="page-header__inner">
                <ul class="thm-breadcrumb list-unstyled">
                    <li><a href="{{url('/')}}">{{trans('home.home')}}</a></li>
                    <li><span>/</span></li>
                    <li>{{trans('home.blogs')}}</li>
                </ul>
                <h2>{{trans('home.blogs')}}</h2>
            </div>
        </div>
    </section>
    <!--Page Header End-->
    @if (count($blogs) > 0)
        <!--Blog One Start-->
        <section class="blog-one">
            <div class="container">
                <div class="section-title text-center">
                    <h2 class="section-title__title">{{trans('home.important-blogs-&-last-news')}}</h2>
                    <div class="section-title__line"></div>
                </div>
                <div class="row">
                    @foreach ($blogs as $blog)
                        <div class="col-xl-4 col-lg-4 wow fadeInUp" data-wow-delay="100ms">
                            <!--Blog One Start-->
                            <div class="blog-one__single">
                                <div class="blog-one__img">
                                    <img src="{{url('uploads/blogitems/source/' . $blog->image)}}" alt="">
                                    <a href="{{route('checkUrl', $blog->link)}}">
                                        <span class="blog-one__plus"></span>
                                    </a>
                                </div>
                                <div class="blog-one__content">
                                    <div class="blog-one__date">
                                        <p>{{date('d-M-Y', strtotime($blog->date))}}</p>
                                    </div>
                                    <ul class="list-unstyled blog-one__meta">
                                        <li><a href="{{route('checkUrl', $blog->link)}}"><i class="far fa-user-circle"></i>{{$blog->writer}}</a>
                                        </li>
                                        <li><span>/</span></li>
                                        <li><a href="{{route('checkUrl', $blog->link)}}"><i class="far fa-calendar"></i>{{$blog->date}}</a>
                                        </li>
                                    </ul>
                                    <h3 class="blog-one__title"><a href="{{route('checkUrl', $blog->link)}}">
                                        {!!(app()->getLocale() == 'en')?strip_tags(mb_strimwidth($blog->text_en, 0, 100, "...")) : strip_tags(mb_strimwidth($blog->text_ar, 0, 100, "..."))!!}
                                    </a></h3>
                                </div>
                            </div>
                        </div>
                    @endforeach

                </div>
            </div>
        </section>
        <!--Blog One End-->
    @endif
    <!--====== Latest Blog End ======-->

@endsection