@extends('layouts.app')
@section('meta')
    @php echo $metatags @endphp

    @php echo $schema @endphp
@endsection

@section('content')
<section class="page-title" style="background-image: url({{url('uploads/homeImages/source/'.$coverImage)}});">
    <div class="auto-container">
        <div class="content-box">
            <div class="content-wrapper">
                <div class="title">
                    <h1>{{trans('home.career')}}</h1>
                </div>
                <ul class="bread-crumb style-two">
                    <li><a href="{{url('/')}}">{{trans('home.home')}} </a></li>
                    <li class="active">{{trans('home.career')}}</li>
                </ul>
            </div>
        </div>
    </div>
</section>

<div class="careers">
    <div class="container">
        <div class="row">
            <div class="col-lg-6 col-md-6">
                <div class="text-box">
                    <h3><strong>{{trans('home.Build your career with us')}}</strong></h3>

                    <p><br/>
                        {{trans('home.If you’re great at what you do, enjoy making a difference and if you want to be a part of our world-class ethical business then we’d love to hear from you')}}
                    </p>
                    <p>{{trans('home.We are not offering jobs we are offering careers')}} </p>
                </div>
            </div>

            <div class="col-lg-6 col-md-6">
                <div class="beautypress-contact-form">
                    
                    @if ($errors->any())
                        <div class="alert alert-danger">
                            <ul>
                                @foreach ($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                    @endif
            
                    <form id="beautypress-contact" action="{{route('saveContactUs')}}" method="POST" enctype="multipart/form-data">
                        @csrf
                        <input type="hidden">
                        <div class="input-group">
                            <input type="text" name="name" placeholder="{{trans('home.name')}}" value="{{old('name')}}" required>
                        </div>
                        
                        <div class="input-group">
                            <input type="email" name="email" placeholder="{{trans('home.email')}}" value="{{old('email')}}" required>
                        </div>
                        <div class="input-group">
                            <input type="number" min"0" name="phone" placeholder="{{trans('home.phone')}}" value="{{old('phone')}}" required>
                        </div>

                        <div class="input-group">
                            <textarea name="message" cols="30" rows="10" placeholder="{{trans('home.message')}}" required>{{old('message')}}</textarea>
                        </div>
                        <div class="input-group">
                            <label for="cvFileUpload" class="button">{{trans('home.Upload your CV')}}</label>
                            <input type="file"  name="cv" id="cvFileUpload" required />
                        </div>

                        <input type="hidden" name="recaptcha" id="recaptcha">
                        <button type="submit" class="theme-btn btn-style-one">{{trans('home.send')}}</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection

@section('script')

    <script src="https://www.google.com/recaptcha/api.js?render={{ config('services.recaptcha.sitekey') }}"></script>
    <script>
         grecaptcha.ready(function() {
             grecaptcha.execute('{{ config('services.recaptcha.sitekey') }}', {action: 'contact'}).then(function(token) {
                if (token) {
                  document.getElementById('recaptcha').value = token;
                }
             });
         });
    </script>
    <script>
        $('form').submit(function() {
            $(this).find("button[type='submit']").prop('disabled',true);
        });
    </script>

    @if(Session::has('success'))
        <script>
            $.alert({
                title: "{{trans('home.applicationSentSuccessfully')}}",
                content: "{{Session::get('success')}}",
                buttons: {
                    ok: {
                        text: "{{trans('home.OK')}}",
                        btnClass: 'btn main-btn',
                    },
                },
                columnClass: 'col-md-6'
            });
        </script>
    @endif
    @php
        Session::forget('success')
    @endphp
@endsection    