@extends('layouts.app')
@section('meta')
    @php echo $metatags @endphp

    @php echo $schema @endphp
@endsection
@section('content')

    <!-- BREADCRUMB AREA START -->
    <div class="ltn__breadcrumb-area text-left bg-overlay-white-30 bg-image"  data-bs-bg="{{url('resources/assets/front/img/slider/iStock-1010023964.jpg')}}">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="ltn__breadcrumb-inner">
                        <h1 class="page-title text-white">{{trans('home.contact-us')}}</h1>
                        <div class="ltn__breadcrumb-list">
                            <ul class="text-white">
                                <li><a href="{{url('/')}}"><span class="text-white"><i class="fas fa-home"></i></span>{{trans('home.home')}}</a></li>
                                <li>{{trans('home.contact-us')}}</li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- BREADCRUMB AREA END -->
    <!-- CONTACT ADDRESS AREA START -->
    <div class="ltn__contact-address-area mb-90 pt-100">
        <div class="container">
            <div class="row">
                <div class="col-lg-4">
                    <div class="ltn__contact-address-item ltn__contact-address-item-3 box-shadow">
                        <div class="ltn__contact-address-icon">
                            <img src="{{url('resources/assets/front/img/icons/1.png')}}" alt="Icon Image">
                        </div>
                        <h3>{{trans('home.email address')}}</h3>
                        <p><a href='mailto:{{$setting->email}}'>{{$setting->email}}</a></p>
                    </div>
                </div>
                <div class="col-lg-4">
                    <div class="ltn__contact-address-item ltn__contact-address-item-3 box-shadow">
                        <div class="ltn__contact-address-icon">
                            <img src="{{url('resources/assets/front/img/icons/3.png')}}" alt="Icon Image">
                        </div>
                        <h3>{{trans('home.Phone Number')}}</h3>
                        <p><a href="tel:+2{{$setting->mobile}}">{{$setting->mobile}}</a></p>
                    </div>
                </div>
                <div class="col-lg-4">
                    <div class="ltn__contact-address-item ltn__contact-address-item-3 box-shadow">
                        <div class="ltn__contact-address-icon">
                            <img src="{{url('resources/assets/front/img/icons/2.png')}}" alt="Icon Image">
                        </div>
                        <h3>{{trans('home.Office Address')}}</h3>
                        <p>
                            {{$configration->address1}}
                        </p>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- CONTACT ADDRESS AREA END -->
    <!-- CONTACT MESSAGE AREA START -->
    <div class="ltn__contact-message-area mb-120 pt-110">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="ltn__form-box contact-form-box box-shadow white-bg">
                        <h4 class="title-2">{{trans('home.Get A Quote')}}</h4>
                        <form id="contact-form" method="post" action="{{route('saveContactUs')}}">
                            @csrf
                            <div class="row">
                                <div class="col-md-6 col-12">
                                    <div class="input-item input-item-name ltn__custom-icon">
                                        <input type="text" name="name" placeholder="{{trans('home.Enter your name')}}">
                                    </div>
                                </div>
                                <div class="col-md-6 col-12">
                                    <div class="input-item input-item-phone ltn__custom-icon">
                                        <input type="text" name="phone" placeholder="{{trans('home.Enter phone number')}}">
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="input-item input-item-email ltn__custom-icon">
                                        <input type="email" name="email" placeholder="{{trans('home.Enter email address')}}">
                                    </div>
                                </div>
                            </div>
                            <div class="input-item input-item-textarea ltn__custom-icon">
                                <textarea name="message" placeholder="{{trans('home.Enter message')}}"></textarea>
                            </div>
                            <div class="btn-wrapper mt-0">
                                <button class="btn theme-btn-1 btn-effect-1 text-uppercase" type="submit">{{trans('home.send')}}</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- CONTACT MESSAGE AREA END -->
        <!-- GOOGLE MAP AREA START -->
        <div class="google-map mb--90">
            <iframe src="{{$setting->map_url}}" width="100%" height="100%" frameborder="0" allowfullscreen="" aria-hidden="false" tabindex="0"></iframe>
        </div>
        <!-- GOOGLE MAP AREA END -->
@endsection

@section('script')
    <script>
        function initMap() {
        var uluru = {lat: {{$setting->lat}}, lng: {{$setting->lng}} };
        var map = new google.maps.Map(document.getElementById('map'), {
            zoom: 16,
            center: uluru
        });
        var marker = new google.maps.Marker({
            position: uluru,
            map: map
        });
        }  
    </script>
    
    @if(Session::has('contact_message'))
        <script>
            $.alert({
                title: "{{trans('home.contact_us')}}",
                content: "{{Session::get('contact_message')}}",
                buttons: {
                    ok: {
                        text: "{{trans('home.OK')}}",
                        btnClass: 'btn main-btn',
                    },
                },
                columnClass: 'col-md-6'
            });
        </script>
    @endif
    @php
        Session::forget('contact_message')
    @endphp
@endsection