@extends('layouts.app')

@section('meta')
    @php echo $metatags @endphp

    @php echo $schema @endphp
@endsection

@section('content')
    @if(count($sliders) > 0)
        <!-- SLIDER AREA START (slider-3) -->
        <div class="ltn__slider-area ltn__slider-3  section-bg-2">
            <div class="ltn__slide-one-active slick-slide-arrow-1 slick-slide-dots-1">
                @foreach ($sliders as $slider)
                    <!-- ltn__slide-item -->
                    <div class="ltn__slide-item ltn__slide-item-2 ltn__slide-item-3-normal--- ltn__slide-item-3 bg-image bg-overlay-theme-black-60" data-bs-bg="{{url('uploads/sliders/home-sliders/source/' . $slider->image)}}">
                        <div class="ltn__slide-item-inner text-center">
                            <div class="container">
                                <div class="row">
                                    <div class="col-lg-12 align-self-center">
                                        <div class="slide-item-info">
                                            <div class="slide-item-info-inner ltn__slide-animation">
                                                <h6 class="slide-sub-title white-color--- animated"><span><i class="fas fa-home"></i></span> {{$slider->title}}</h6>
                                                <h1 class="slide-title animated ">{{$slider->title}}</h1>
                                                <div class="slide-brief animated">
                                                    <p>{!! $slider->text !!}</p>
                                                </div>
                                                <div class="btn-wrapper animated">
                                                    <a href="{{url('/services')}}" class="theme-btn-1 btn btn-effect-1">{{trans('home.more_services')}}</a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                @endforeach
            </div>
        </div>
        <!-- SLIDER AREA END -->
    @endif
    <!-- ABOUT US AREA START -->
    <div class="ltn__about-us-area pt-100">
        <div class="container">
            <div class="row">
                <div class="col-lg-6 align-self-center">
                    <div class="about-us-img-wrap about-img-left">
                        <img src="{{url('uploads/aboutStrucs/source/' . $about->image)}}" alt="About Us Image">
                        <div class="about-us-img-info about-us-img-info-2 about-us-img-info-3">
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 align-self-center">
                    <div class="about-us-info-wrap">
                        <div class="section-title-area ltn__section-title-2--- mb-20">
                            <h6 class="section-subtitle section-subtitle-2 ltn__secondary-color">{{trans('home.about us')}}</h6>
                            <h1 class="section-title">{{app()->getLocale() == 'en' ? $about->title_en : $about->title_ar}}</h1>
                            <p>{{app()->getLocale() == 'en' ? $about->title_en : $about->title_ar}}</p>
                        </div>
                        <div class="ltn__callout bg-overlay-theme-05  mt-30">
                            <p>{!!(app()->getLocale() == 'en')?strip_tags(mb_strimwidth($about->text_en, 0, 200, "...")) : strip_tags(mb_strimwidth($about->text_ar, 0, 200, "..."))!!}</p>
                        </div>
                        <div class="btn-wrapper animated">
                            <a href="{{url('/about-us')}}" class="theme-btn-1 btn btn-effect-1">{{trans('home.more_About Us')}}</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- ABOUT US AREA END -->

    <!--====== service Section Start ======-->
    @if(count($services) > 0)
        <!-- Services AREA START -->
        <div class="ltn__apartments-plan-area pt-115 pb-70">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="section-title-area ltn__section-title-2--- text-center">
                            <h1 class="section-title">{{trans('home.Our')}}<span>{{trans('home.our-services')}}</span></h1>
                        </div>
                        <div class="ltn__tab-menu ltn__tab-menu-3 ltn__tab-menu-top-right-- text-uppercase--- text-center">
                            <div class="nav">
                                <a class="active show" data-bs-toggle="tab" href="#all-products">{{trans('home.All Products')}}</a>
                                @foreach ($services as $service)
                                    <a data-bs-toggle="tab" href="#{{$service->link}}">{{app()->getLocale() == 'en' ? $service->name_en : $service->name_ar}}</a>
                                @endforeach
                            </div>
                        </div>
                        <div class="tab-content">
                            <div class="tab-pane fade active show" id="all-products">   
                                <div class="ltn__apartments-tab-content-inner">
                                    <div class="row ltn__custom-gutter--- justify-content-center">
                                        @foreach ($subServices as $subService)
                                            <div class="col-lg-4 col-sm-6 col-12">
                                                <div class="ltn__feature-item ltn__feature-item-6 text-center bg-white  box-shadow-1">
                                                    <div class="ltn__feature-icon">
                                                        <!-- <span><i class="flaticon-house"></i></span> -->
                                                        <img src="{{url('uploads/services/source/' . $subService->img)}}" alt="#">
                                                    </div>
                                                    <div class="ltn__feature-info">
                                                        <h3><a href="{{route('checkUrl', $subService->link)}}">{{app()->getLocale() == 'en' ? $subService->name_en : $subService->name_ar}}</a></h3>
                                                        <p>{!!(app()->getLocale() == 'en')?strip_tags(mb_strimwidth($subService->text_en, 0, 100, "...")) : strip_tags(mb_strimwidth($subService->text_ar, 0, 100, "..."))!!}</p>
                                                        <a class="ltn__service-btn" href="{{route('checkUrl', $subService->link)}}">{{trans('home.More Details')}}<i class="flaticon-right-arrow"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        @endforeach
                                    </div>
                                </div>
                            </div>
                            @foreach ($services as $service)
                                <div class="tab-pane fade" id="{{$service->link}}">
                                    <div class="ltn__product-tab-content-inner">
                                        <div class="row ltn__custom-gutter--- justify-content-center">
                                            @foreach($service->childs() as $oneServece)
                                                <div class="col-lg-4 col-sm-6 col-12">
                                                    <div class="ltn__feature-item ltn__feature-item-6 text-center bg-white  box-shadow-1">
                                                        <div class="ltn__feature-icon">
                                                            <!-- <span><i class="flaticon-house"></i></span> -->
                                                            <img src="{{url('uploads/services/source/' . $oneServece->img)}}" alt="#">
                                                        </div>
                                                        <div class="ltn__feature-info">
                                                            <h3><a href="{{route('checkUrl', $oneServece->link)}}">{{app()->getLocale() == 'en' ? $oneServece->name_en : $oneServece->name_ar}}</a></h3>
                                                            <p>{!!(app()->getLocale() == 'en')?strip_tags(mb_strimwidth($oneServece->text_en, 0, 100, "...")) : strip_tags(mb_strimwidth($oneServece->text_ar, 0, 100, "..."))!!}</p>
                                                            <a class="ltn__service-btn" href="{{route('checkUrl', $oneServece->link)}}">{{trans('home.More Details')}}<i class="flaticon-right-arrow"></i></a>
                                                        </div>
                                                    </div>
                                                </div>
                                            @endforeach
                                        </div>
                                    </div>
                                </div>
                            @endforeach


                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Services AREA END -->
    @endif
    <!--====== service Section End ======-->
    @if (count($testimonials) > 0)
        <!-- BRAND LOGO AREA START -->
        <div class="ltn__brand-logo-area ltn__brand-logo-1 pt-110 pb-110 plr--9 ">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="section-title-area ltn__section-title-2--- text-center">
                            <h1 class="section-title">{{trans('home.Our')}}<span>{{trans('home.Partners')}}</span></h1>
                        </div>
                    </div>
                </div>
                <div class="row ltn__brand-logo-active">
                    @foreach ($testimonials as $testimonial)
                        <div class="col-lg-12">
                            <div class="ltn__brand-logo-item">
                                <img src="{{url('uploads/testimonials/source/' . $testimonial->img)}}" alt="Brand Logo">
                            </div>
                        </div>
                    @endforeach
                </div>
            </div>
        </div>
        <!-- BRAND LOGO AREA END -->
    @endif

    <!-- CONTACT MESSAGE AREA START -->
    <div class="ltn__contact-message-area mb-120 pt-110">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="section-title-area ltn__section-title-2--- text-center">
                        <h1 class="section-title">{{trans('home.contact_title')}}<span>{{trans('home.contact-us_title')}}</span></h1>
                    </div>
                </div>
                <div class="col-lg-12">
                    <div class="ltn__form-box contact-form-box box-shadow white-bg">
                        <h4 class="title-2">{{trans('home.Get A Quote')}}</h4>
                        <form id="contact-form" method="post" action="{{route('saveContactUs')}}">
                            @csrf
                            <div class="row">
                                <div class="col-md-6 col-12">
                                    <div class="input-item input-item-name ltn__custom-icon">
                                        <input type="text" name="name" placeholder="{{trans('home.Enter your name')}}">
                                    </div>
                                </div>
                                <div class="col-md-6 col-12">
                                    <div class="input-item input-item-phone ltn__custom-icon">
                                        <input type="text" name="phone" placeholder="{{trans('home.Enter phone number')}}">
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="input-item input-item-email ltn__custom-icon">
                                        <input type="email" name="email" placeholder="{{trans('home.Enter email address')}}">
                                    </div>
                                </div>
                            </div>
                            <div class="input-item input-item-textarea ltn__custom-icon">
                                <textarea name="message" placeholder="{{trans('home.Enter message')}}"></textarea>
                            </div>
                            <div class="btn-wrapper mt-0">
                                <button class="btn theme-btn-1 btn-effect-1 text-uppercase" type="submit">{{trans('home.send')}}</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- CONTACT MESSAGE AREA END -->
    


@endsection

@section('script')

    <script type="text/javascript">
        function form_submit() {
            document.getElementById("saveForm").submit();
        }    
    </script>

    @if(Session::has('contact_message'))
        <script>
            $.alert({
                title: "{{trans('home.contact_us')}}",
                content: "{{Session::get('contact_message')}}",
                buttons: {
                    ok: {
                        text: "{{trans('home.OK')}}",
                        btnClass: 'btn main-btn',
                    },
                },
                columnClass: 'col-md-6'
            });
        </script>
    @endif
    @php
        Session::forget('contact_message')
    @endphp
@endsection    