@extends('layouts.app')
@section('meta')
    @php echo $metatags @endphp

    @php echo $schema @endphp
@endsection
@section('style')
    <style>
            .card-body{
            margin-bottom: 60px;
        }
    </style>

@endsection

@section('content')
    <!--title-->
    <section class="page-title" style="background-image:url({{url('resources/assets/front/images/blog/coo.jpg')}});">
        <div class="container-fluid">
            <div class="inner-container clearfix">
                <!-- <div class="title-box">
                    <h1> عيادات الدكتور أحمد سليمان</h1>
                </div> -->
                <ul class="bread-crumb clearfix">
                    <li><a href="{{url('/')}}">{{trans('home.home')}}</a></li>
                    <li>{{app()->getLocale() == "en" ? $project->name_en : $project->name_ar}}</li>
                </ul>
            </div>
        </div>
    </section>

    <div class="container">
        <div style="direction:rtl;" class="row">
            <div class="left col-xl-4 col-lg-4 col-md-12 mt-5">
                <div class="card col-xl-12 col-lg-12 col-md-12 request-quote-section mb-5">
                    <div class="card-body">
                        <img class="img-fluid mb-3" src="{{url('uploads/aboutStrucs/source/' . $about->image)}}" alt="about">
                        <p>{!! app()->getLocale() == "en" ? $about->text_en : $about->text_ar !!}</p>
                    </div>
                </div>
                <div class="card col-xl-12 col-lg-12 col-md-12 request-quote-section mb-5">
                    <div class="card-body">
                        <h2>{{trans('home.book-now')}}</h2>
                        <form action="{{route('saveContactUs')}}" method="POST">
                            @csrf
                            <div class="form-group">
                                <label for="">{{trans('home.name')}}</label>
                                <input type="text" name="name" placeholder="{{trans('home.name')}}" class="form-control" required>
                            </div>
                            <div class="form-group">
                                <label for="">{{trans('home.email')}}</label>

                                <input type="text" name="email" placeholder="{{trans('home.email')}}" class="form-control" required>
                            </div>
                            <div class="form-group">
                                <label for="">{{trans('home.mobile')}}</label>
                                <input type="text" name="phone" placeholder="{{trans('home.mobile')}}" class="form-control"
                                    required>
                            </div>
                            <div class="form-group">
                                <label for="">{{trans('home.leave-message')}}</label>
                                <textarea class="form-control" name="message" id="" cols="60" rows="5"
                                    placeholder="{{trans('home.leave-message')}}" required></textarea>

                            </div>
                            <div class="pull-right">
                                <button type="submit" class="mt-3 thm-btn contact-page__btn">{{trans('home.send')}}</button>

                            </div>
                        </form>
                    </div>
                </div>
                @if (count($addresses) > 0)    
                    @foreach ($addresses as $addresse)
                        <div class="card col-xl-12 col-lg-12 col-md-12 request-quote-section mb-5">
                            <div class="card-body">
                                <h2 class="mb-3">{{app()->getLocale() == "en" ? $addresse->address_en : $addresse->address_ar}}</h2>
                                <div class="map">
                                    <iframe
                                    src="{{$addresse->map_url}}"
                                    width="100%" height="250px" style="border:0;" allowfullscreen="" loading="lazy"
                                        referrerpolicy="no-referrer-when-downgrade"></iframe>
                                </div>
                            </div>
                        </div>
                    @endforeach
                @endif

            </div>

            <div class="right col-xl-8 col-lg-8 col-md-12 mt-5">
                <!-- service details -->
                <div class="sidebar-page-container">
                    <div class="container">
                        <div class="row clearfix">
                            <!--Sidebar Side-->
                            <div class="sidebar-side">
                                <div class="img-box">
                                    <img src="{{url('uploads/projects/source/' . $project->image)}}" alt="project">
                                    
                                </div>

                                
                                <aside class="sidebar services-sidebar">


                                    <h2>{{app()->getLocale() == "en" ? $project->name_en : $project->name_ar}}</h2>
                                    <div class="text">
                                        <p>{!! app()->getLocale() == "en" ? $project->text_en : $project->text_ar !!}</p>

                                    </div>

                                </aside>
                            </div>

                            <!--Content Side-->
                        </div>
                    </div>
                </div>
            
                <div class="card-body">
                    <h2>{{trans('home.leave-message')}}</h2>
                    <form action="{{route('saveContactUs')}}" method="POST">
                        @csrf
                        <div class="form-group">
                            <label for="">{{trans('home.name')}}</label>
                            <input type="text" name="name" placeholder="{{trans('home.name')}}" class="form-control" required="">
                        </div>
                        <div class="form-group">
                            <label for="">{{trans('home.email')}}</label>
        
                            <input type="text" name="email" placeholder="{{trans('home.email')}}" class="form-control" required="">
                        </div>
                      
                        <div class="form-group">
                            <label for="">{{trans('home.mobile')}}</label>
                            <input type="text" name="phone" placeholder="{{trans('home.mobile')}}" class="form-control"
                                required>
                        </div>

                        <div class="form-group">
                            <label for="">{{trans('home.leave-message')}}</label>
                            <textarea class="form-control" name="message" id="" cols="60" rows="5" placeholder="{{trans('home.leave-message')}}" required=""></textarea>
        
                        </div>
                        <div class="pull-right">
                            <button style="background-color:#b3ccd7;" class="btn theme-btn btn-style-one" type="submit">
                                <a href="#" class="theme-btn btn-style-one">{{trans('home.send')}}</a>
        
                            </button>
                        </div>
                    </form>
                </div>
                @if ($project->youtube_link != null)
                    <div class="video-up">
                        <iframe style="border-radius: 20px;" width="100%" height="500"
                            src="{{$project->youtube_link}}" title="YouTube video player"
                            frameborder="0"
                            allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
                            allowfullscreen></iframe>
                    </div>
                @endif
            </div>
            
        </div>

    </div>
    



@endsection

@section('script')


    @if(Session::has('contact_message'))
        <script>
            $.alert({
                title: "{{trans('home.contact_us')}}",
                content: "{{Session::get('contact_message')}}",
                buttons: {
                    ok: {
                        text: "{{trans('home.OK')}}",
                        btnClass: 'btn main-btn',
                    },
                },
                columnClass: 'col-md-6'
            });
        </script>
    @endif
    @php
        Session::forget('contact_message')
    @endphp
@endsection    