@extends('layouts.app')
<title>{{trans('home.searchResults')}}</title>
@section('content')
<section class="page-title" style="background-image: url({{url('uploads/homeImages/source/'.$coverImage)}});">
    <div class="auto-container">
        <div class="content-box">
            <div class="content-wrapper">
                <div class="title">
                    <h1>{{trans('home.searchResults')}}</h1>
                </div>
                <ul class="bread-crumb style-two">
                    <li><a href="{{url('/')}}">{{trans('home.home')}} </a></li>
                    <li class="active">{{trans('home.searchResults')}}</li>
                </ul>
            </div>
        </div>
    </div>
</section>


<!-- Services Section -->
<section class="services-section">
    <div class="auto-container">
        <div class="sec-title text-center">
            <h2>{{trans('home.searchResults')}}</h2>
        </div>
        <div class="row">
            @if(count($services) > 0)
                @foreach($services as $service)
                    <div class="col-lg-4 col-md-6 service-block">
                        <div class="inner-box">
                            <div class="image"><img src="{{url('uploads/services/source/'.$service->img)}}" alt="{{($service->alt_img)?$service->alt_img:$service->name_en.' image'}}"></div>
                            <div class="lower-content">
                                <div class="icon">
                                    <img src="{{url('uploads/services/source/'.$service->icon)}}" alt="{{$service->name_en}} icon image">
                                    <div class="shape"><img src="assets/images/shape/shape-6.png" alt=""></div>
                                </div>
                                <h4><a href='{{route('checkUrl',$service->link)}}'>{{(app()->getLocale() == 'en')?$service->name_en:$service->name_ar}}</a></h4>
                                <div class="text">{{(app()->getLocale() == 'en')?strip_tags(mb_strimwidth($service->text_en, 0, 100, "...")) : strip_tags(mb_strimwidth($service->text_ar, 0, 100, "..."))}}</div>
                                <div class="link"><a href='{{route('checkUrl',$service->link)}}' class="link-btn"><i class="flaticon-right-arrow"></i> </a></div>
                            </div>
                        </div>
                    </div>
                @endforeach
            @else
                <div class="col-lg-12 col-md-12 text-center">
                    <p>{{trans('home.no data found')}}</p>
                </div>
            @endif
        </div>
    </div>
</section>
@endsection    