@extends('layouts.app')
@section('meta')
    @php echo $metatags @endphp

    @php echo $schema @endphp
@endsection

@section('content')
    <!-- BREADCRUMB AREA START -->
    <div class="ltn__breadcrumb-area text-left bg-overlay-white-30 bg-image"  data-bs-bg="{{url('resources/assets/front/img/slider/iStock-1010023964.jpg')}}">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="ltn__breadcrumb-inner">
                        <h1 class="page-title text-white">{{app()->getLocale() == 'en' ? $service->name_en : $service->name_ar}}</h1>
                        <div class="ltn__breadcrumb-list">
                            <ul class="text-white">
                                <li><a href="{{url('/')}}"><span class="text-white"><i class="fas fa-home"></i></span>{{trans('home.home')}}</a></li>
                                <li>{{app()->getLocale() == 'en' ? $service->name_en : $service->name_ar}}</li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- BREADCRUMB AREA END -->
    <!-- PAGE DETAILS AREA START (service-details) -->
    <div class="ltn__page-details-area ltn__service-details-area mb-105 pt-100">
        <div class="container">
            <div class="row">
                <div class="col-lg-8">
                    <div class="ltn__page-details-inner ltn__service-details-inner">
                        <div class="ltn__blog-img">
                            <img src="{{url('uploads/services/source/' . $service->img)}}" alt="Image">
                        </div>
                        <h1>{{app()->getLocale() == 'en' ? $service->name_en : $service->name_ar}}</h1>
                        <p>
                            {!! app()->getLocale() == 'en' ? $service->text_en : $service->text_ar !!}
                        </p>
                        <table class="table table-bordered">
                            <tbody>   
                            @if ($service->model != null)
                                <tr>
                                    <td>{{trans('home.model')}}</td>
                                    <td>{{$service->model}}</td>
                                </tr>
                            @endif
                            @if ($service->Print_Head != null)
                                <tr>
                                    <td>{{trans('home.Print Head')}}</td>
                                    <td>{{$service->Print_Head}}</td>
                                </tr>
                            @endif

                            @if ($service->Ink != null)
                                <tr>
                                    <td>{{trans('home.Ink')}}</td>
                                    <td>{{$service->Ink}}</td>
                                </tr>
                            @endif
                            @if ($service->Ink_Supply_System != null)
                                <tr>
                                    <td>{{trans('home.Ink Supply System')}}</td>
                                    <td>{{$service->Ink_Supply_System}}</td>
                                </tr>
                            @endif
                            @if ($service->Printing_Width != null)
                                <tr>
                                    <td>{{trans('home.Printing Width')}}</td>
                                    <td>{{$service->Printing_Width}}</td>
                                </tr>
                            @endif
                            @if ($service->Media_Type != null)
                                <tr>
                                    <td>{{trans('home.Media Type')}}</td>
                                    <td>{{$service->Media_Type}}</td>
                                </tr>
                            @endif
                            @if ($service->Roll_Diameter != null)
                                <tr>
                                    <td>{{trans('home.Roll Diameter')}}</td>
                                    <td>{{$service->Roll_Diameter}}</td>
                                </tr>
                            @endif
                            @if ($service->Core_Diameter != null)
                                <tr>
                                    <td>{{trans('home.Core Diameter')}}</td>
                                    <td>{{$service->Core_Diameter}}</td>
                                </tr>
                            @endif
                            @if ($service->Dmedia_System != null)
                                <tr>
                                    <td>{{trans('home.Dmedia System')}}</td>
                                    <td>{{$service->Dmedia_System}}</td>
                                </tr>
                            @endif
                            @if ($service->Drying_System != null)
                                <tr>
                                    <td>{{trans('home.Drying System')}}</td>
                                    <td>{{$service->Drying_System}}</td>
                                </tr>
                            @endif
                            @if ($service->Date_Interface != null)
                                <tr>
                                    <td>{{trans('home.Date Interface')}}</td>
                                    <td>{{$service->Date_Interface}}</td>
                                </tr>
                            @endif
                            @if ($service->Working_Enviroment != null)
                                <tr>
                                    <td>{{trans('home.Working Enviroment')}}</td>
                                    <td>{{$service->Working_Enviroment}}</td>
                                </tr>
                            @endif
                            @if ($service->Software != null)
                                <tr>
                                    <td>{{trans('home.Software')}}</td>
                                    <td>{{$service->Software}}</td>
                                </tr>
                            @endif
                            @if ($service->Power != null)
                                <tr>
                                    <td>{{trans('home.Power')}}</td>
                                    <td>{{$service->Power}}</td>
                                </tr>
                            @endif
                            @if ($service->Packed_Installed_Size != null)
                                <tr>
                                    <td>{{trans('home.Packed/Installed Size')}}</td>
                                    <td>{{$service->Packed_Installed_Size}}</td>
                                </tr>
                            @endif

                        </tbody></table>

                    </div>
                </div>
                <div class="col-lg-4">
                    <aside class="sidebar-area ltn__right-sidebar">
                        <!-- Menu Widget -->
                        <div class="widget-2 ltn__menu-widget ltn__menu-widget-2 text-uppercase">
                            <ul>
                                @foreach ($lastServices as $lastService)
                                    <li class="@if(Request::segment(1) == $lastService->link) active @endif"><a href="{{route('checkUrl', $lastService->link)}}">{{app()->getLocale() == 'en' ? $lastService->name_en : $lastService->name_ar}}<span><i class="fas fa-arrow-right"></i></span></a></li>
                                @endforeach
                            </ul>
                        </div>
                        <!-- Newsletter Widget -->
                        <div class="widget ltn__search-widget ltn__newsletter-widget">
                            <h4 class="ltn__widget-title">{{trans('home.Get A Quote')}}</h4>
                            <div class="ltn__newsletter-bg-icon">
                                <i class="fas fa-envelope-open-text"></i>
                            </div>
                            <div class="row">
                                <div class="col-12">
                                    <form id="contact-form" method="post" action="{{route('saveContactUs')}}">
                                        @csrf
                                        <div class="row">
                                            <div class="col-12">
                                                <div class="input-item input-item-name ltn__custom-icon">
                                                    <input type="text" name="name" placeholder="{{trans('home.Enter your name')}}">
                                                </div>
                                            </div>
                                            <div class="col-12">
                                                <div class="input-item input-item-phone ltn__custom-icon">
                                                    <input type="text" name="phone" placeholder="{{trans('home.Enter phone number')}}">
                                                </div>
                                            </div>
                                            <div class="col-12">
                                                <div class="input-item input-item-email ltn__custom-icon">
                                                    <input type="email" name="email" placeholder="{{trans('home.Enter email address')}}">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="input-item input-item-textarea ltn__custom-icon">
                                            <textarea name="message" placeholder="{{trans('home.Enter message')}}"></textarea>
                                        </div>
                                        <div class="col-12" style="height: 35px">
                                            <div class="btn-wrapper">
                                                <button class="btn theme-btn-1 btn-effect-1 text-uppercase" type="submit">{{trans('home.send')}}</button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </aside>
                </div>
            </div>
        </div>
    </div>
    <!-- PAGE DETAILS AREA END -->
    
    <!-- GOOGLE MAP AREA START -->
    <div class="google-map mb--90">
        <iframe src="{{$setting->map_url}}" width="100%" height="100%" frameborder="0" allowfullscreen="" aria-hidden="false" tabindex="0"></iframe>
    </div>
    <!-- GOOGLE MAP AREA END -->




@endsection

@section('script')


    @if(Session::has('contact_message'))
        <script>
            $.alert({
                title: "{{trans('home.contact_us')}}",
                content: "{{Session::get('contact_message')}}",
                buttons: {
                    ok: {
                        text: "{{trans('home.OK')}}",
                        btnClass: 'btn main-btn',
                    },
                },
                columnClass: 'col-md-6'
            });
        </script>
    @endif
    @php
        Session::forget('contact_message')
    @endphp
@endsection    