@extends('layouts.app')
@section('meta')
    @php echo $metatags @endphp
@endsection

@section('content')
    <!-- BREADCRUMB AREA START -->
    <div class="ltn__breadcrumb-area text-left bg-overlay-white-30 bg-image"  data-bs-bg="{{url('resources/assets/front/img/slider/iStock-1010023964.jpg')}}">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="ltn__breadcrumb-inner">
                        <h1 class="page-title text-white">{{trans('home.services')}}</h1>
                        <div class="ltn__breadcrumb-list">
                            <ul class="text-white">
                                <li><a href="{{url('/')}}"><span class="text-white"><i class="fas fa-home"></i></span>{{trans('home.home')}}</a></li>
                                <li>{{trans('home.services')}}</li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- BREADCRUMB AREA END -->
    <!--====== service Section Start ======-->
    @if(count($servicesParent) > 0)
        <!-- Services AREA START -->
        <div class="ltn__apartments-plan-area pt-115 pb-70">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="ltn__tab-menu ltn__tab-menu-3 ltn__tab-menu-top-right-- text-uppercase--- text-center">
                            <div class="nav">
                                <a class="active show" data-bs-toggle="tab" href="#all-products">{{trans('home.All Products')}}</a>
                                @foreach ($servicesParent as $service)
                                    <a data-bs-toggle="tab" href="#{{$service->link}}">{{app()->getLocale() == 'en' ? $service->name_en : $service->name_ar}}</a>
                                @endforeach
                            </div>
                        </div>
                        <div class="tab-content">
                            <div class="tab-pane fade active show" id="all-products">   
                                <div class="ltn__apartments-tab-content-inner">
                                    <div class="row ltn__custom-gutter--- justify-content-center">
                                        @foreach ($subServices as $subService)
                                            <div class="col-lg-4 col-sm-6 col-12">
                                                <div class="ltn__feature-item ltn__feature-item-6 text-center bg-white  box-shadow-1">
                                                    <div class="ltn__feature-icon">
                                                        <!-- <span><i class="flaticon-house"></i></span> -->
                                                        <img src="{{url('uploads/services/source/' . $subService->img)}}" alt="#">
                                                    </div>
                                                    <div class="ltn__feature-info">
                                                        <h3><a href="{{route('checkUrl', $subService->link)}}">{{app()->getLocale() == 'en' ? $subService->name_en : $subService->name_ar}}</a></h3>
                                                        <p>{!!(app()->getLocale() == 'en')?strip_tags(mb_strimwidth($subService->text_en, 0, 100, "...")) : strip_tags(mb_strimwidth($subService->text_ar, 0, 100, "..."))!!}</p>
                                                        <a class="ltn__service-btn" href="{{route('checkUrl', $subService->link)}}">{{trans('home.More Details')}}<i class="flaticon-right-arrow"></i></a>
                                                    </div>
                                                </div>
                                            </div>
                                        @endforeach
                                    </div>
                                </div>
                            </div>
                            @foreach ($services as $service)
                                <div class="tab-pane fade" id="{{$service->link}}">
                                    <div class="ltn__product-tab-content-inner">
                                        <div class="row ltn__custom-gutter--- justify-content-center">
                                            @foreach($service->childs() as $oneServece)
                                                <div class="col-lg-4 col-sm-6 col-12">
                                                    <div class="ltn__feature-item ltn__feature-item-6 text-center bg-white  box-shadow-1">
                                                        <div class="ltn__feature-icon">
                                                            <!-- <span><i class="flaticon-house"></i></span> -->
                                                            <img src="{{url('uploads/services/source/' . $oneServece->img)}}" alt="#">
                                                        </div>
                                                        <div class="ltn__feature-info">
                                                            <h3><a href="{{route('checkUrl', $oneServece->link)}}">{{app()->getLocale() == 'en' ? $oneServece->name_en : $oneServece->name_ar}}</a></h3>
                                                            <p>{!!(app()->getLocale() == 'en')?strip_tags(mb_strimwidth($oneServece->text_en, 0, 100, "...")) : strip_tags(mb_strimwidth($oneServece->text_ar, 0, 100, "..."))!!}</p>
                                                            <a class="ltn__service-btn" href="{{route('checkUrl', $oneServece->link)}}">{{trans('home.More Details')}}<i class="flaticon-right-arrow"></i></a>
                                                        </div>
                                                    </div>
                                                </div>
                                            @endforeach
                                        </div>
                                    </div>
                                </div>
                            @endforeach


                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Services AREA END -->
    @endif
@endsection    