<?php $__env->startSection('meta'); ?>
    <?php echo $metatags ?>

    <?php echo $schema ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <!--Page Header Start-->
    <section class="page-header">
        <div class="page-header-bg jarallax" data-jarallax data-speed="0.2" data-imgPosition="50% 0%" style="background-image: url(<?php echo e(url('resources/assets/front/images/slide-1.webp')); ?>)" >
        </div>
        <div class="container">
            <div class="page-header__inner">
                <ul class="thm-breadcrumb list-unstyled">
                    <li><a href="<?php echo e(url('/')); ?>"><?php echo e(trans('home.home')); ?></a></li>
                    <li><span>/</span></li>
                    <li><?php echo e(trans('home.contact-us')); ?></li>
                </ul>
                <h2><?php echo e(trans('home.contact-us')); ?></h2>
            </div>
        </div>
    </section>
    <!--Page Header End-->

    <!--Contact Page Start-->
    <section class="contact-page" id="contact-data">
        <div class="contact-page-shape-1 float-bob-x">
            <img src="<?php echo e(url('resources/assets/front/images/shapes/contact-page-shape-1.png')); ?>" alt="">
        </div>
        <div class="container">
            <div class="row">
                <div class="col-xl-8 col-lg-7">
                    <div class="contact-page__left">
                        <div class="section-title text-left">
                            <h2 class="section-title__title"><?php echo e(trans('home.contact-us')); ?></h2>
                            <div class="section-title__line"></div>
                        </div>
                        <div class="contact-page__form">
                            <form action="<?php echo e(route('saveContactUs')); ?>" method="POST">
                                <?php echo csrf_field(); ?>
                                <div class="row">
                                    <div class="col-xl-6">
                                        <div class="comment-form__input-box">
                                            <input type="text" placeholder="<?php echo e(trans('home.name')); ?>" name="name">
                                        </div>
                                    </div>
                                    <div class="col-xl-6">
                                        <div class="comment-form__input-box">
                                            <input type="text" placeholder="<?php echo e(trans('home.phone')); ?>" name="phone">
                                        </div>
                                    </div>
                                    <div class="col-xl-12">
                                        <div class="comment-form__input-box">
                                            <input type="email" placeholder="<?php echo e(trans('home.email')); ?>" name="email">
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-xl-12">
                                        <div class="comment-form__input-box text-message-box">
                                            <textarea name="message" placeholder="<?php echo e(trans('home.leave-message')); ?>"></textarea>
                                        </div>
                                        <div class="comment-form__btn-box">
                                            <button type="submit" class="thm-btn comment-form__btn"><?php echo e(trans('home.send')); ?></button>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
                <div class="col-xl-4 col-lg-5">
                    <div class="contact-page__right">
                        <div class="contact-page__details">
                            <ul class="list-unstyled contact-page__details-list">
                                <li>
                                    <span><?php echo e(trans('home.phone')); ?> :</span>
                                    <p><a href="tel:+2<?php echo e($setting->mobile); ?>"><?php echo e($setting->mobile); ?></a></p>
                                </li>
                                <li>
                                    <span><?php echo e(trans('home.email')); ?> :</span>
                                    <p><a href="mailto:<?php echo e($setting->email); ?>"><?php echo e($setting->email); ?></a></p>
                                </li>
                                <li>
                                    <span><?php echo e(trans('home.address')); ?> :</span>
                                    <p><?php echo e($configration->address1); ?></p>
                                </li>
                            </ul>
                            <div class="contact-page__social">
                                <?php if($setting->twitter !=null): ?><a href="<?php echo e($setting->twitter); ?>"><i class="fab fa-twitter"></i></a><?php endif; ?>
                                <?php if($setting->facebook !=null): ?> <a href="<?php echo e($setting->facebook); ?>"><i class="fab fa-facebook"></i></a> <?php endif; ?>
                                <?php if($setting->instgram !=null): ?><a href="<?php echo e($setting->instgram); ?>"><i class="fab fa-instagram"></i></a><?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--Contact Page End-->

    <!--Google Map Start-->
    <section class="google-map-two">
        <iframe src="<?php echo e($setting->map_url); ?>"class="google-map__two-box" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
    </section>
        <!--Google Map End-->


<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>
        function initMap() {
        var uluru = {lat: <?php echo e($setting->lat); ?>, lng: <?php echo e($setting->lng); ?> };
        var map = new google.maps.Map(document.getElementById('map'), {
            zoom: 16,
            center: uluru
        });
        var marker = new google.maps.Marker({
            position: uluru,
            map: map
        });
        }  
    </script>
    
    <?php if(Session::has('contact_message')): ?>
        <script>
            $.alert({
                title: "<?php echo e(trans('home.contact_us')); ?>",
                content: "<?php echo e(Session::get('contact_message')); ?>",
                buttons: {
                    ok: {
                        text: "<?php echo e(trans('home.OK')); ?>",
                        btnClass: 'btn main-btn',
                    },
                },
                columnClass: 'col-md-6'
            });
        </script>
    <?php endif; ?>
    <?php
        Session::forget('contact_message')
    ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\ziad-samir\resources\views/website/contact-us.blade.php ENDPATH**/ ?>