<?php $__env->startSection('meta'); ?>
    <?php echo $metatags ?>

    <?php echo $schema ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

    <!-- BREADCRUMB AREA START -->
    <div class="ltn__breadcrumb-area text-left bg-overlay-white-30 bg-image"  data-bs-bg="<?php echo e(url('resources/assets/front/img/slider/iStock-1010023964.jpg')); ?>">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="ltn__breadcrumb-inner">
                        <h1 class="page-title text-white"><?php echo e(trans('home.contact-us')); ?></h1>
                        <div class="ltn__breadcrumb-list">
                            <ul class="text-white">
                                <li><a href="<?php echo e(url('/')); ?>"><span class="text-white"><i class="fas fa-home"></i></span><?php echo e(trans('home.home')); ?></a></li>
                                <li><?php echo e(trans('home.contact-us')); ?></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- BREADCRUMB AREA END -->
    <!-- CONTACT ADDRESS AREA START -->
    <div class="ltn__contact-address-area mb-90 pt-100">
        <div class="container">
            <div class="row">
                <div class="col-lg-4">
                    <div class="ltn__contact-address-item ltn__contact-address-item-3 box-shadow">
                        <div class="ltn__contact-address-icon">
                            <img src="<?php echo e(url('resources/assets/front/img/icons/1.png')); ?>" alt="Icon Image">
                        </div>
                        <h3><?php echo e(trans('home.email address')); ?></h3>
                        <p><a href='mailto:<?php echo e($setting->email); ?>'><?php echo e($setting->email); ?></a></p>
                    </div>
                </div>
                <div class="col-lg-4">
                    <div class="ltn__contact-address-item ltn__contact-address-item-3 box-shadow">
                        <div class="ltn__contact-address-icon">
                            <img src="<?php echo e(url('resources/assets/front/img/icons/3.png')); ?>" alt="Icon Image">
                        </div>
                        <h3><?php echo e(trans('home.Phone Number')); ?></h3>
                        <p><a href="tel:+2<?php echo e($setting->mobile); ?>"><?php echo e($setting->mobile); ?></a></p>
                    </div>
                </div>
                <div class="col-lg-4">
                    <div class="ltn__contact-address-item ltn__contact-address-item-3 box-shadow">
                        <div class="ltn__contact-address-icon">
                            <img src="<?php echo e(url('resources/assets/front/img/icons/2.png')); ?>" alt="Icon Image">
                        </div>
                        <h3><?php echo e(trans('home.Office Address')); ?></h3>
                        <p>
                            <?php echo e($configration->address1); ?>

                        </p>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- CONTACT ADDRESS AREA END -->
    <!-- CONTACT MESSAGE AREA START -->
    <div class="ltn__contact-message-area mb-120 pt-110">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="ltn__form-box contact-form-box box-shadow white-bg">
                        <h4 class="title-2"><?php echo e(trans('home.Get A Quote')); ?></h4>
                        <form id="contact-form" method="post" action="<?php echo e(route('saveContactUs')); ?>">
                            <?php echo csrf_field(); ?>
                            <div class="row">
                                <div class="col-md-6 col-12">
                                    <div class="input-item input-item-name ltn__custom-icon">
                                        <input type="text" name="name" placeholder="<?php echo e(trans('home.Enter your name')); ?>">
                                    </div>
                                </div>
                                <div class="col-md-6 col-12">
                                    <div class="input-item input-item-phone ltn__custom-icon">
                                        <input type="text" name="phone" placeholder="<?php echo e(trans('home.Enter phone number')); ?>">
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="input-item input-item-email ltn__custom-icon">
                                        <input type="email" name="email" placeholder="<?php echo e(trans('home.Enter email address')); ?>">
                                    </div>
                                </div>
                            </div>
                            <div class="input-item input-item-textarea ltn__custom-icon">
                                <textarea name="message" placeholder="<?php echo e(trans('home.Enter message')); ?>"></textarea>
                            </div>
                            <div class="btn-wrapper mt-0">
                                <button class="btn theme-btn-1 btn-effect-1 text-uppercase" type="submit"><?php echo e(trans('home.send')); ?></button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- CONTACT MESSAGE AREA END -->
        <!-- GOOGLE MAP AREA START -->
        <div class="google-map mb--90">
            <iframe src="<?php echo e($setting->map_url); ?>" width="100%" height="100%" frameborder="0" allowfullscreen="" aria-hidden="false" tabindex="0"></iframe>
        </div>
        <!-- GOOGLE MAP AREA END -->
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>
        function initMap() {
        var uluru = {lat: <?php echo e($setting->lat); ?>, lng: <?php echo e($setting->lng); ?> };
        var map = new google.maps.Map(document.getElementById('map'), {
            zoom: 16,
            center: uluru
        });
        var marker = new google.maps.Marker({
            position: uluru,
            map: map
        });
        }  
    </script>
    
    <?php if(Session::has('contact_message')): ?>
        <script>
            $.alert({
                title: "<?php echo e(trans('home.contact_us')); ?>",
                content: "<?php echo e(Session::get('contact_message')); ?>",
                buttons: {
                    ok: {
                        text: "<?php echo e(trans('home.OK')); ?>",
                        btnClass: 'btn main-btn',
                    },
                },
                columnClass: 'col-md-6'
            });
        </script>
    <?php endif; ?>
    <?php
        Session::forget('contact_message')
    ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\digital-valley\resources\views/website/contact-us.blade.php ENDPATH**/ ?>