<!DOCTYPE html>
<html lang="<?php echo e(app()->getLocale()); ?>">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
         <?php echo $__env->yieldContent('meta'); ?>
        <!-- fonts -->
        <link rel="preconnect" href="https://fonts.googleapis.com">
        <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
        <link href="https://fonts.googleapis.com/css2?family=Almarai:wght@700&family=Cairo:wght@400;500;600&display=swap" rel="stylesheet">
        <!-- favicons Icons -->
        <link rel="icon" href="<?php echo e(url('uploads/settings/source/'.$configration->app_logo)); ?>">
        <link rel="shortcut icon" href="<?php echo e(url('uploads/settings/source/'.$configration->app_logo)); ?>" type="image/x-icon">
        <!-- Stylesheets -->
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/bootstrap/css/bootstrap.min.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/animate/animate.min.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/fontawesome/css/all.min.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/jarallax/jarallax.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/jquery-magnific-popup/jquery.magnific-popup.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/nouislider/nouislider.min.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/nouislider/nouislider.pips.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/odometer/odometer.min.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/swiper/swiper.min.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/kitecx-icons/style.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/tiny-slider/tiny-slider.min.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/owl-carousel/owl.carousel.min.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/owl-carousel/owl.theme.default.min.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/twentytwenty/twentytwenty.css')); ?>" />
        <!-- template styles -->
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/css/flaticon.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/css/serv-details.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/css/style.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/css/style-responsive.css')); ?>" />

        <?php echo $__env->yieldContent('style'); ?>
    </head>
    
    <body>
        <div class="page-wrapper">
            <header class="main-header clearfix">
                <div class="main-header__three-line-icon">
                    <a href="#" class="side-menu__toggler"><img
                            src="<?php echo e(url('resources/assets/front/images/resources/main-header-three-line-icon.png')); ?>" alt="side-menu"></a>
                </div>
                <div class="container">
                    <div class="main-menu-wrapper">
                        <div class="main-header__logo">
                            <a href="<?php echo e(url('/')); ?>">
                                <img src="<?php echo e(url('uploads/settings/source/'. $configration->app_logo)); ?>" alt="logo">
                            </a>
                        </div>
                        <div class="main-menu-wrapper__top">
                            <div class="main-menu-wrapper__top-inner">
                                <div class="main-menu-wrapper__left">
                                    <div class="main-menu-wrapper__left-content">
                                        <ul class="main-menu-wrapper__left-contact-box list-unstyled">
                                            <li>
                                                <div class="icon">
                                                    <i class="fas fa-phone-square-alt"></i>
                                                </div>
                                                <div class="text">
                                                    <p><a href="tel:+2<?php echo e($setting->telphone); ?>"><?php echo e($setting->telphone); ?></a></p>
                                                </div>
                                            </li>
                                            <li>
                                                <div class="icon">
                                                    <i class="fas fa-envelope"></i>
                                                </div>
                                                <div class="text">
                                                    <p><a href="mailto:<?php echo e($setting->email); ?>"><?php echo e($setting->email); ?></a></p>
                                                </div>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                                <div class="main-menu-wrapper__right">
                                    <div class="main-menu-wrapper__right-social">
                                        <?php if($setting->twitter != null): ?>
                                        <a href="<?php echo e($setting->twitter); ?>"><i class="fab fa-twitter"></i></a>
                                        <?php endif; ?>
                                        <?php if($setting->facebook != null): ?>
                                        <a href="<?php echo e($setting->facebook); ?>" class="clr-fb"><i class="fab fa-facebook"></i></a>
                                        <?php endif; ?>
                                        <?php if($setting->instgram != null): ?>
                                        <a href="<?php echo e($setting->instgram); ?>" class="clr-ins"><i class="fab fa-instagram"></i></a>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="main-menu-wrapper__bottom">
                            <nav class="main-menu">
                                <div class="main-menu__inner">
                                    <a href="#" class="mobile-nav__toggler"><i class="fas fa-bars"></i></a>
                                    <ul class="main-menu__list">
                                        <?php $__currentLoopData = $menus; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $menu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if($menu->type == 'link'): ?>
                                            <li class="<?php if(Request::segment(1) == $menu->type_value): ?> active <?php endif; ?> <?php if($menu->link_en == 'Book_Now'): ?> book-now <?php endif; ?>"><a href="<?php echo e($menu->type_value); ?>"><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?></a></li>
                                        <?php else: ?>
                                            <?php if(count($menu->subMenu()) > 0): ?>
                                                <li class="dropdown"><a href='<?php echo e(url("$menu->type")); ?>'><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?> </a>
                                                    <ul>
                                                        <?php $__currentLoopData = $menu->subMenu(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subMenu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <?php if(count($subMenu->subMenu()) > 0): ?>
                                                                <li class="dropdown"><a href='<?php echo e(url("/$subMenu->type")); ?>'><?php echo e((app()->getLocale() == 'en')?$subMenu->name_en:$subMenu->name_ar); ?></a>
                                                                    <ul>
                                                                        <?php $__currentLoopData = $subMenu->subMenu(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subSubMenu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                            <li class="dropdown"><a href='<?php echo e(url("$subSubMenu->type")); ?>'><?php echo e((app()->getLocale() == 'en')?$subSubMenu->name_en:$subSubMenu->name_ar); ?></a></li>
                                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                        
                                                                    </ul>
                                                                </li>
                                                            <?php else: ?>
                                                                <li class="dropdown"><a href='<?php echo e(url("$subMenu->type")); ?>'><?php echo e((app()->getLocale() == 'en')?$subMenu->name_en:$subMenu->name_ar); ?></a></li>
                                                            <?php endif; ?>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </ul>
                                                </li>
                                            <?php elseif($menu->type == 'home'): ?>
                                                <li class="<?php if(Request::segment(1) == ''): ?> active <?php endif; ?>"><a href='<?php echo e(url("/")); ?>'><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?></a></li>
                                            <?php elseif($menu->type == 'videos'): ?>
                                            <li class="<?php if(Request::segment(1) == ''): ?> active <?php endif; ?>"><a href='<?php echo e(url("/galleryVideos")); ?>'><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?></a></li>
                                            <?php elseif($menu->type == 'services'): ?>    
                                            <li class="dropdown"><a href='#'><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?> </a>
                                                <ul>
                                                    <?php $__currentLoopData = $menuServices; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $service): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <li class="dropdown"><a href='<?php echo e(route("checkUrl",$service->link)); ?>'><?php echo e((app()->getLocale() == 'en')?$service->name_en:$service->name_ar); ?></a></li>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </ul>
                                            </li>
                                            <?php elseif($menu->type == 'categories'): ?>    
                                            <li class="dropdown"><a href='<?php echo e(url('/career')); ?>'><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?> </a></li>
                                            <?php elseif($menu->type == 'projects'): ?>    
                                            <li class="<?php if(Request::segment(1) == ''): ?> active <?php endif; ?>"><a href='<?php echo e(url('/projects')); ?>'><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?> </a></li>
                                            <?php else: ?>
                                                <li class="<?php if(Request::segment(1) == $menu->type): ?> active <?php endif; ?> <?php if($menu->link_en == 'Book_Now'): ?> book-now <?php endif; ?>"><a href='<?php echo e(url("$menu->type")); ?>'><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?></a></li>
                                            <?php endif; ?>
                                        <?php endif; ?>
                                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                    <div class="main-menu__right">
                                         
    
                                        <a href="<?php echo e(url('about-us')); ?>" class="img-box"><img src="<?php echo e(url('uploads/settings/source/'. $configration->app_logo)); ?>" alt="logo">  </a>
                                    </div>
                                </div>
                            </nav>
                        </div>
                    </div>
    
                </div>
            </header>
    
            <div class="stricky-header stricked-menu main-menu">
                <div class="sticky-header__content"></div><!-- /.sticky-header__content -->
            </div>
            <!-- /.stricky-header -->

            <?php echo $__env->yieldContent('content'); ?>

            <!--Site Footer One Start-->
            <footer class="site-footer">
                <div class="site-footer__main">
                    <div class="site-footer__main-pattern-bg1" style="background-image: url(<?php echo e(url('resources/assets/front/images/pattern/pattern-1.jpg')); ?>);"></div>
                    <div class="container">
                        <div class="row">
                            <div class="col-xl-4 col-lg-6 col-md-6 wow fadeInUp" data-wow-delay="100ms">
                                <div class="footer-widget__column footer-widget__about">
                                    <img src="<?php echo e(url('uploads/settings/source/'. $configration->footer_logo)); ?>" alt="footer-logo">
                                    <p class="footer-widget__text"><?php echo $configration->about_app; ?></p>
                                
                                
                                </div>
                                
                            </div>
                            <div class="col-xl-2 col-lg-6 col-md-6 wow fadeInUp" data-wow-delay="200ms">
                                <div class="footer-widget__column footer-widget__links clearfix">
                                    <h3 class="footer-widget__title"><?php echo e(trans('home.Important-links')); ?></h3>
                                    <ul class="footer-widget__links-list list-unstyled">

                                        <?php $__currentLoopData = $menus; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $menu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php if($menu->type == 'services'): ?>    
                                                <li class="dropdown"><a href='#'><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?> </a>
                                            <?php else: ?>
                                                <li><a href="<?php echo e(url("$menu->type")); ?>"><?php echo e(app()->getLocale() == "en"? $menu->name_en : $menu->name_ar); ?></a></li>
                                            <?php endif; ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                    </ul>
                                </div>
                            </div>
                            <div class="col-xl-2 col-lg-6 col-md-6 wow fadeInUp" data-wow-delay="300ms">
                                <div class="footer-widget__column footer-widget__explore">
                                    <h3 class="footer-widget__title"><?php echo e(trans('home.our-services')); ?></h3>
                                    <ul class="footer-widget__explore-list list-unstyled">
                                        <?php $__currentLoopData = $footerServices; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $footerService): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <li><a href="<?php echo e(route('checkUrl',$footerService->link)); ?>"><?php echo e(app()->getLocale() == "en" ? $footerService->name_en : $footerService->name_ar); ?></a></li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                </div>
                            </div>
                            <div class="col-xl-4 col-lg-6 col-md-6 wow fadeInUp" data-wow-delay="400ms">
                                <div class="footer-widget__column footer-widget__newsletter">

                                
                                    <img src="<?php echo e(url('uploads/settings/source/'.$configration->app_logo)); ?>" alt="logo">
                                    <ul class="list-unstyled footer-widget__contact-list">
                                        <li>
                                            <div class="icon">
                                                <i class="fas fa-phone-square-alt"></i>
                                            </div>
                                            <div class="text">
                                                <p><a href="tel:+2<?php echo e($setting->mobile); ?>"><?php echo e($setting->mobile); ?></a></p>
                                            </div>
                                        </li>
                                        <li>
                                            <div class="icon">
                                                <i class="fas fa-envelope"></i>
                                            </div>
                                            <div class="text">
                                                <p><a href="mailto:<?php echo e($setting->email); ?>"><?php echo e($setting->email); ?></a></p>
                                            </div>
                                        </li>
                                        <li>
                                            <div class="icon">
                                                <i class="fas fa-map-marker-alt"></i>
                                            </div>
                                            <div class="text">
                                                <p><?php echo e($configration->address1); ?></p>
                                                <?php if($configration->address2 != null): ?>
                                                    <p><?php echo e($configration->address2); ?></p>
                                                <?php endif; ?>

                                            </div>
                                        </li>
                                    </ul>
                                    
                                
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="site-footer-bottom">
                    <div class="container">
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="site-footer-bottom__inner">
                                    <div class="site-footer-bottom__left">
                                        <p><?php echo e(trans('home.All Rights Reserved')); ?>  <a href="<?php echo e(url('/')); ?>"><?php echo e(trans('home.be-group')); ?> </a> © 2022</p>
                                    </div>
                                
                                    
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </footer>
            <!--Site Footer One End-->
            <?php if($setting->whatsapp != null): ?>
                <a href="https://wa.me/+2<?php echo e($setting->whatsapp); ?>" target="_blank" class="btn-whatsapp-pulse">
                    <i class="fab fa-whatsapp"></i>
                </a>
            <?php endif; ?>

            <?php if($setting->instgram != null): ?>
                <a href="<?php echo e($setting->instgram); ?>" target="_blank" class="btn-instagram-pulse2">
                    <i class="fab fa-instagram"></i>
                </a>
            <?php endif; ?>
            <?php if($setting->facebook != null): ?>

                <a href="<?php echo e($setting->facebook); ?>" target="_blank" class="btn-facebook-pulse">
                    <i class="fab fa-facebook-f"></i>
                </a>
            <?php endif; ?>
            <?php if($setting->mobile != null): ?>
                <a href="tel:+2<?php echo e($setting->mobile); ?>" class="btn-phone-pulse">
                    <i class="fas fa-phone"></i>
                </a>
            <?php endif; ?>
        </div>
        <div class="mobile-nav__wrapper">
            <div class="mobile-nav__overlay mobile-nav__toggler"></div>
            <!-- /.mobile-nav__overlay -->
            <div class="mobile-nav__content">
                <span class="mobile-nav__close mobile-nav__toggler"></span>
    
                <div class="logo-box">
                    <a href="<?php echo e(url('/')); ?>" aria-label="logo image"><img src="<?php echo e(url('uploads/settings/source/'. $configration->app_logo)); ?>" width="155"
                            alt="logo" /></a>
                </div>
                <!-- /.logo-box -->
                <div class="mobile-nav__container"></div>
                <!-- /.mobile-nav__container -->
    
                <ul class="mobile-nav__contact list-unstyled">
                    <li>
                        <i class="fas fa-envelope"></i>
                        <a href="mailto:<?php echo e($setting->email); ?>"><?php echo e($setting->email); ?></a>
                    </li>
                    <li>
                        <i class="fas fa-phone-alt"></i>
                        <a href="tel:+2<?php echo e($setting->mobile); ?>"><?php echo e($setting->mobile); ?></a>
                    </li>
                </ul><!-- /.mobile-nav__contact -->
                <div class="mobile-nav__top">
                    <div class="mobile-nav__social">
                        <a href="<?php echo e($setting->facebook); ?>" class="fab fa-facebook-square"></a>
                        <a href="<?php echo e($setting->instgram); ?>" class="fab fa-instagram"></a>
                    </div><!-- /.mobile-nav__social -->
                </div><!-- /.mobile-nav__top -->
    
    
    
            </div>
            <!-- /.mobile-nav__content -->
        </div>
        <!-- /.mobile-nav__wrapper -->
        <div class="side-menu__block">
            <div class="side-menu__block-overlay custom-cursor__overlay side-menu__toggler">
                <div class="cursor"></div>
                <div class="cursor-follower"></div>
            </div><!-- /.side-menu__block-overlay -->
            <div class="side-menu__block-inner ">
                <span class="side-menu__close side-menu__toggler"></span>
                <a href="index.html">
                    <img src="<?php echo e(url('uploads/settings/source/'. $configration->app_logo)); ?>" alt="logo">
                </a>
               
                
                <hr class="side-menu__block-line" />
                <div class="side-menu__block-contact">
                    <h3 class="side-menu__block__title"><?php echo e(trans('home.contact-us')); ?></h3><!-- /.side-menu__block__title -->
                    <ul class="side-menu__block-contact__list">
                        <li class="side-menu__block-contact__list-item">
                            <i class="fas fa-map-marker"></i>
                            <?php echo e($configration->address1); ?>

                        </li><!-- /.side-menu__block-contact__list-item -->
                        <?php if($configration->address2 != null): ?>
                            <li class="side-menu__block-contact__list-item">
                                <i class="fas fa-map-marker"></i>
                                <?php echo e($configration->address2); ?>

                            </li><!-- /.side-menu__block-contact__list-item -->
                        <?php endif; ?>
                        <li class="side-menu__block-contact__list-item">
                            <i class="fas fa-phone"></i>
                            <?php echo e($setting->mobile); ?>

                        </li><!-- /.side-menu__block-contact__list-item -->
                        <li class="side-menu__block-contact__list-item">
                            <i class="fas fa-envelope"></i>
                            <?php echo e($setting->email); ?>

                        </li><!-- /.side-menu__block-contact__list-item -->
                    
                        
                    </ul><!-- /.side-menu__block-contact__list -->
                </div><!-- /.side-menu__block-contact -->
                <p class="side-menu__block__text site-footer__copy-text"> <i
                        class="fas fa-copyright"></i>
                        <p><?php echo e(trans('home.All Rights Reserved')); ?>  <a href="<?php echo e(url('/')); ?>"><?php echo e(trans('home.be-group')); ?> </a> © 2022</p>

                    </p>
            </div><!-- /.side-menu__block-inner -->
        </div><!-- /.side-menu__block -->
    
        

        


        
        <a href="#" data-target="html" class="scroll-to-target scroll-to-top"><i class="fas fa-angle-up"></i></a>

        <script src="<?php echo e(url('resources/assets/front/vendors/jquery/jquery-3.5.1.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/bootstrap/js/bootstrap.bundle.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/jarallax/jarallax.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/jquery-ajaxchimp/jquery.ajaxchimp.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/jquery-appear/jquery.appear.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/jquery-circle-progress/jquery.circle-progress.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/jquery-magnific-popup/jquery.magnific-popup.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/jquery-validate/jquery.validate.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/nouislider/nouislider.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/odometer/odometer.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/swiper/swiper.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/tiny-slider/tiny-slider.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/wnumb/wNumb.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/wow/wow.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/isotope/isotope.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/countdown/countdown.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/owl-carousel/owl.carousel.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/twentytwenty/twentytwenty.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/twentytwenty/jquery.event.move.js')); ?>"></script>
    
    
        <script src="http://maps.google.com/maps/api/js?key=AIzaSyATY4Rxc8jNvDpsK8ZetC7JyN4PFVYGCGM"></script>
    
    
        <!-- template js -->
        <script src="<?php echo e(url('resources/assets/front/js/kitecx.js')); ?>"></script>
        

        <?php echo $__env->yieldContent('script'); ?>
    </body>
</html><?php /**PATH C:\xampp\htdocs\dr-ahmed\resources\views/layouts/app.blade.php ENDPATH**/ ?>