<?php $__env->startSection('meta'); ?>
    <?php echo $metatags ?>

    <?php echo $schema ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <!--Page Header Start-->
    <section class="page-header">
        <div class="page-header-bg jarallax" data-jarallax data-speed="0.2" data-imgPosition="50% 0%" style="background-image: url(<?php echo e(url('resources/assets/front/images/slide-1.webp')); ?>)" >
        </div>
        <div class="container">
            <div class="page-header__inner">
                <ul class="thm-breadcrumb list-unstyled">
                    <li><a href="<?php echo e(url('/')); ?>"><?php echo e(trans('home.home')); ?></a></li>
                    <li><span>/</span></li>
                    <li><?php echo e(app()->getLocale() == "en" ? $service->name_en : $service->name_ar); ?></li>
                </ul>
                <h2><?php echo e(app()->getLocale() == "en" ? $service->name_en : $service->name_ar); ?></h2>
            </div>
        </div>
    </section>
    <!--Page Header End-->


    <!--Service Details Start-->
    <section class="service-details">
        <div class="container">
            <div class="row flex-row-reverse">
                <div class="col-xl-4 col-lg-5">
                    <div class="service-details__left">
                        <div class="service-details__category">
                            <ul class="service-details__category-list list-unstyled">
                                <?php $__currentLoopData = $services; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $serviceOne): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><a href="<?php echo e(route('checkUrl', $serviceOne->link)); ?>"><?php echo e(app()->getLocale() == "en" ? $serviceOne->name_en : $serviceOne->name_ar); ?><span class="fa fa-angle-right"></span></a></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                        <div class="service-details__category mt-5">
                            <div class="contact-page__form">
                                <div class="section-title ">
                                    <h2 class="section-title__title"><?php echo e(trans('home.contact-us')); ?></h2>
                                    <div class="section-title__line"></div>
                                </div>
                                <form action="<?php echo e(route('saveContactUs')); ?>" method="POST">
                                    <?php echo csrf_field(); ?>
                                    <div class="row">
                                        <div class="col-12">
                                            <div class="comment-form__input-box">
                                                <input type="text" placeholder="<?php echo e(trans('home.name')); ?>" name="name">
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="comment-form__input-box">
                                                <input type="text" placeholder="<?php echo e(trans('home.phone')); ?>" name="phone">
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <div class="comment-form__input-box">
                                                <input type="email" placeholder="<?php echo e(trans('home.email')); ?>" name="email">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-xl-12">
                                            <div class="comment-form__input-box text-message-box">
                                                <textarea name="message" placeholder="<?php echo e(trans('home.leave-message')); ?>"></textarea>
                                            </div>
                                            <div class="comment-form__btn-box">
                                                <button type="submit" class="thm-btn comment-form__btn"><?php echo e(trans('home.send')); ?></button>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-xl-8 col-lg-7 order-first">
                    <div class="service-details__right">
                        <div class="service-details__img">
                            <img src="<?php echo e(url('uploads/services/source/' . $service->img)); ?>" alt="">
                        </div>
                        <div class="service-details__content">
                            <h3 class="service-details__content-title"><?php echo e(app()->getLocale() == "en" ? $service->name_en : $service->name_ar); ?></h3>
                            <p class="service-details__text-1"><?php echo app()->getLocale() == "en" ? $service->text_en : $service->text_ar; ?></p>
                        </div>
                        <?php if(count($service->gallaryImages()) > 0): ?>
                            <div class="row">
                                <?php $__currentLoopData = $service->gallaryImages(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $serv): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="col-lg-6 col-12">
                                        <!--Gallery Page Single-->
                                        <div class="gallery-page__single">
                                            <div class="gallery-page__img">
                                                <img src="<?php echo e(url('uploads/galleryImages/source/' . $serv->img)); ?>" alt="">
                                                <div class="gallery-page__icon">
                                                    <a class="img-popup" href="<?php echo e(url('uploads/galleryImages/source/' . $serv->img)); ?>"><span class="icon-plus-symbol"></span></a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
                
            </div>
        </div>
    </section>
    <!--Service Details End-->


    <!--Google Map Start-->
        <section class="google-map-two">
            <iframe src="<?php echo e($setting->map_url); ?>"class="google-map__two-box" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
        </section>
    <!--Google Map End-->




<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>


    <?php if(Session::has('contact_message')): ?>
        <script>
            $.alert({
                title: "<?php echo e(trans('home.contact_us')); ?>",
                content: "<?php echo e(Session::get('contact_message')); ?>",
                buttons: {
                    ok: {
                        text: "<?php echo e(trans('home.OK')); ?>",
                        btnClass: 'btn main-btn',
                    },
                },
                columnClass: 'col-md-6'
            });
        </script>
    <?php endif; ?>
    <?php
        Session::forget('contact_message')
    ?>
<?php $__env->stopSection(); ?>    
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\ziad-samir\resources\views/website/service-details.blade.php ENDPATH**/ ?>