<?php $__env->startSection('meta'); ?>
    <?php echo $metatags ?>

    <?php echo $schema ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <!--====== Page Title Start ======-->
    <section class="page-title-area page-title-bg" style="background-image: url(<?php echo e(url('resources/assets/front/img/bredcrumb.jpg')); ?>);">
        <div class="container">
            <h1 class="page-title"><?php echo e($blog->writer); ?></h1>

            <ul class="breadcrumb-nav">
                <li><a href="<?php echo e(url('/')); ?>"><?php echo e(trans('home.home')); ?></a></li>
                <li><i class="fas fa-angle-right"></i></li>
                <li><?php echo e((app()->getLocale() == 'en')? $blog->title_en : $blog->title_ar); ?></li>
            </ul>
        </div>
    </section>
    <!--====== Page Title End ======-->

    <!--====== Blog Standard Start ======-->
    <section class="blog-area section-gap">
        <div class="container">
            <div class="row">
                <div class="col-lg-8">
                    <div class="blog-details-wrapper">
                        <div class="post-thumbnail">
                            <img src="<?php echo e(url('uploads/blogitems/source/' . $blog->image)); ?>" alt="Image">
                        </div>
                        <div class="blog-details-inner">
                            <div class="post-content">
                                
                                <h3 class="post-title">
                                    <?php echo e((app()->getLocale() == 'en')? $blog->title_en : $blog->title_ar); ?>

                                </h3>
                                <p>
                                    <?php echo (app()->getLocale() == 'en')? $blog->text_en : $blog->text_ar; ?>

                                </p>
                                <?php $__currentLoopData = $blog->faq; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $oneFaq): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <blockquote>
                                        <p>
                                            <?php echo e($oneFaq->question); ?>

                                        </p>
                                    </blockquote>
                                    <p>
                                        <?php echo e($oneFaq->answer); ?>

                                    </p> 
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4">
                    <div class="primary-sidebar">
                        <div class="widget search-widget">
                            <h4 class="widget-title"><?php echo e(trans('home.search')); ?></h4>
                            <form action="#" class="search-form">
                                <input type="search" placeholder="<?php echo e(trans('home.key-words')); ?>">
                                <button type="submit"><i class="far fa-search"></i></button>
                            </form>
                        </div>
                        <?php if(count($lastBlogs) > 0): ?>
                            <div class="widget latest-post-widget">
                                <h4 class="widget-title"><?php echo e(trans('home.last-news')); ?></h4>
                                <div class="latest-post-loop">
                                    <?php $__currentLoopData = $lastBlogs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lastBlog): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <div class="single-post">
                                            <div class="thumbnail">
                                                <img src="<?php echo e(url('uploads/blogitems/source/' . $lastBlog->image)); ?>" alt="Image">
                                            </div>
                                            <div class="content">
                                                <h6><a href="<?php echo e($lastBlog->link); ?>"><?php echo e((app()->getLocale() == 'en') ? $lastBlog->title_en : $lastBlog->title_ar); ?></a></h6>
                                            </div>
                                        </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            </div>
                        <?php endif; ?>
                        <div class="widget appointment-form">
                            <h3 class="widget-title"><?php echo e(trans('home.contact-us')); ?></h3>
                            <form action="<?php echo e(route('saveContactUs')); ?>" method="POST">
                                <?php echo csrf_field(); ?>
                                <div class="input-field">
                                    <input type="text" name="name" placeholder="<?php echo e(trans('home.name')); ?>">
                                </div>
                                <div class="input-field">
                                    <input type="text" name="phone" placeholder="<?php echo e(trans('home.mobile')); ?>">
                                </div>
                                <div class="input-field">
                                    <input type="text" name="email" placeholder="<?php echo e(trans('home.email')); ?>">
                                </div>
                                <div class="input-field">
                                    <textarea name="message" cols="30" rows="10" placeholder="<?php echo e(trans('home.leave-message')); ?>"></textarea>
                                </div>
                                <div class="input-field">
                                    <button type="submit" class="template-btn"><?php echo e(trans('home.send')); ?><i class="far fa-plus"></i></button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--====== Blog Standard End ======-->

    <!--====== Maps Start ======-->
    <div class="map">
        <iframe src="<?php echo e($setting->map_url); ?>" height="400" style="border:0; width: 100%;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
    </div>
    <!--====== Maps End ======-->

<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>

    <script src="https://www.google.com/recaptcha/api.js?render=<?php echo e(config('services.recaptcha.sitekey')); ?>"></script>
    <script>
         grecaptcha.ready(function() {
             grecaptcha.execute('<?php echo e(config('services.recaptcha.sitekey')); ?>', {action: 'contact'}).then(function(token) {
                if (token) {
                  document.getElementById('recaptcha').value = token;
                }
             });
         });
    </script>

    <?php if(Session::has('contact_message')): ?>
        <script>
            $.alert({
                title: "<?php echo e(trans('home.contact_us')); ?>",
                content: "<?php echo e(Session::get('contact_message')); ?>",
                buttons: {
                    ok: {
                        text: "<?php echo e(trans('home.OK')); ?>",
                        btnClass: 'btn main-btn',
                    },
                },
                columnClass: 'col-md-6'
            });
        </script>
    <?php endif; ?>
    <?php
        Session::forget('contact_message')
    ?>
<?php $__env->stopSection(); ?>    
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\dr-sameh\resources\views/website/blogPage.blade.php ENDPATH**/ ?>