<?php $__env->startSection('meta'); ?>
    <?php echo $metatags ?>

    <?php echo $schema ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <!--Page Header Start-->
    <section class="page-header">
        <div class="page-header-bg" style="background-image: url(<?php echo e(url('resources/assets/front/images/backgrounds/slide-1.jpeg')); ?>)">
        </div>
        <div class="main-slider-border"></div>
        <div class="main-slider-border main-slider-border-two"></div>
        <div class="main-slider-border main-slider-border-three"></div>
        <div class="main-slider-border main-slider-border-four"></div>
        <div class="main-slider-border main-slider-border-five"></div>
        <div class="main-slider-border main-slider-border-six"></div>
        <div class="container">
            <div class="page-header__inner">
                <ul class="thm-breadcrumb list-unstyled">
                    <li><a href="<?php echo e(url('/')); ?>"><?php echo e(trans('home.home')); ?></a></li>
                    <li><span>//</span></li>
                    <li><?php echo e(trans('home.contact-us')); ?></li>
                </ul>
                <h2><?php echo e(trans('home.contact-us')); ?></h2>
            </div>
        </div>
    </section>
    <!--Page Header End-->

    <!--Contact Page Start-->
    <section class="contact-page">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-xl-6 col-lg-6">
                    <div class="contact-page__left">
                        <ul class="list-unstyled contact-page__contact-list">
                            <li>
                                <div class="icon">
                                    <span class="icon-phone-call"></span>
                                </div>
                                <div class="content">
                                    <p><?php echo e(trans('home.for-inquiries')); ?></p>
                                    <h4><a href="tel:+2<?php echo e($setting->mobile); ?>"><?php echo e($setting->mobile); ?></a></h4>
                                </div>
                            </li>
                            <li>
                                <div class="icon">
                                    <span class="icon-message"></span>
                                </div>
                                <div class="content">
                                    <p><?php echo e(trans('home.email')); ?></p>
                                    <h4><a href="mailto:<?php echo e($setting->email); ?>"><?php echo e($setting->email); ?></a></h4>
                                </div>
                            </li>
                            <li>
                                <div class="icon">
                                    <span class="icon-placeholder"></span>
                                </div>
                                <div class="content">
                                    <p><?php echo e(trans('home.address')); ?></p>
                                    <h4><?php echo e($configration->address1); ?></h4>
                                </div>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="col-xl-6 col-lg-6">
                    <div class="contact-page__right">
                        <div class="contact-page__content">
                            <div class="contact-page__content-inner">
                                <div class="contact-page-shape-1 float-bob-x">
                                    <img src="<?php echo e(url('resources/assets/front/images/shapes/contact-page-shape-1.png')); ?>" alt="">
                                </div>
                                <div class="section-title text-left">
                                    <h2 class="section-title__title" style="color: #dd332d;"><?php echo e(trans('home.contact-us')); ?></h2>
                                </div>
                                <form class="contact-page__form contact-form-validated" action="<?php echo e(route('saveContactUs')); ?>" method="POST">
                                    <div class="row">
                                        <div class="col-xl-12">
                                            <div class="contact-page__form-input-box">
                                                <input type="text" placeholder="<?php echo e(trans('home.name')); ?>" name="name">
                                            </div>
                                        </div>
                                        <div class="col-xl-12">
                                            <div class="contact-page__form-input-box">
                                                <input type="email" placeholder="<?php echo e(trans('home.email')); ?>" name="email">
                                            </div>
                                        </div>
                                        <div class="col-xl-12">
                                            <div class="contact-page__form-input-box">
                                                <input type="text" placeholder="<?php echo e(trans('home.phone')); ?>" name="phone">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-12">
                                        <div class="contact-page__form-input-box text-message-box">
                                            <textarea name="message" placeholder="<?php echo e(trans('home.leave-message')); ?>"></textarea>
                                        </div>
                                        <div class="contact-page__btn-box">
                                            <button type="submit" class="thm-btn contact-page__btn"><?php echo e(trans('home.send')); ?></button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--Contact Page End-->

    <!--Google Map Start-->
    <section class="google-map">
        <iframe src="<?php echo e($setting->map_url); ?>" allowfullscreen loading="lazy" class="google-map__one"></iframe>
    </section>
    <!--Google Map End-->

<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>
        function initMap() {
        var uluru = {lat: <?php echo e($setting->lat); ?>, lng: <?php echo e($setting->lng); ?> };
        var map = new google.maps.Map(document.getElementById('map'), {
            zoom: 16,
            center: uluru
        });
        var marker = new google.maps.Marker({
            position: uluru,
            map: map
        });
        }  
    </script>
    
    <?php if(Session::has('contact_message')): ?>
        <script>
            $.alert({
                title: "<?php echo e(trans('home.contact_us')); ?>",
                content: "<?php echo e(Session::get('contact_message')); ?>",
                buttons: {
                    ok: {
                        text: "<?php echo e(trans('home.OK')); ?>",
                        btnClass: 'btn main-btn',
                    },
                },
                columnClass: 'col-md-6'
            });
        </script>
    <?php endif; ?>
    <?php
        Session::forget('contact_message')
    ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\dr.mohamed-abdelhamid\resources\views/website/contact-us.blade.php ENDPATH**/ ?>