<!DOCTYPE html>
<html lang="<?php echo e(app()->getLocale()); ?>">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <meta name="author" content="Alaa Rasheed" />
        <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

         <?php echo $__env->yieldContent('meta'); ?>
        <!-- favicons Icons -->
        <link rel="icon" href="<?php echo e(url('uploads/settings/source/'.$configration->app_logo)); ?>">
        <link rel="shortcut icon" href="<?php echo e(url('uploads/settings/source/'.$configration->app_logo)); ?>" type="image/x-icon">
        <!-- Stylesheets -->
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/css/style.css')); ?>" />
        <?php echo $__env->yieldContent('style'); ?>
    </head>
    
    <body>
        <!-- Body main wrapper start -->
        <div class="body-wrapper">   

            <!-- HEADER AREA START -->
            <header class="ltn__header-area ltn__header-5 ltn__header-logo-and-mobile-menu-in-mobile ltn__header-logo-and-mobile-menu ltn__header-transparent gradient-color-2">
                <!-- ltn__header-top-area start -->
                <div class="ltn__header-top-area top-area-color-white">
                    <div class="container">
                        <div class="row">
                            <div class="col-md-8">
                                <div class="ltn__top-bar-menu">
                                    <ul>
                                        <li><a href="<?php echo e($setting->map_url); ?>"><i class="icon-placeholder"></i><?php echo e($configration->address1); ?></a></li>
                                        <li><a href="mailto:<?php echo e($setting->email); ?>"><i class="icon-mail"></i><?php echo e($setting->email); ?></a></li>
                                    </ul>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="top-bar-right text-end">
                                    <div class="ltn__top-bar-menu">
                                        <ul>
                                            <li>
                                                <!-- ltn__language-menu -->
                                                <div class="ltn__drop-menu ltn__currency-menu ltn__language-menu">
                                                    <ul>
                                                        <li><a href="<?php if(app()->getLocale() == 'en'): ?> <?php echo e(url('lang/en')); ?> <?php else: ?> <?php echo e(url('lang/ar')); ?><?php endif; ?>" class="dropdown-toggle"><span class="active-currency"><?php if(app()->getLocale() == 'en'): ?> <?php echo e(trans('home.english')); ?> <?php else: ?> <?php echo e(trans('home.arabic')); ?><?php endif; ?></span></a>
                                                            <ul>
                                                                <li><a href="<?php if(app()->getLocale() == 'en'): ?> <?php echo e(url('lang/ar')); ?> <?php else: ?> <?php echo e(url('lang/en')); ?><?php endif; ?>"><?php if(app()->getLocale() == 'en'): ?> <?php echo e(trans('home.arabic')); ?> <?php else: ?> <?php echo e(trans('home.english')); ?><?php endif; ?></a></li>
                                                            </ul>
                                                        </li>
                                                    </ul>
                                                </div>
                                            </li>
                                            <li>
                                                <!-- ltn__social-media -->
                                                <div class="ltn__social-media">
                                                    <ul>
                                                        <?php if($setting->facebook != null): ?><li><a href="<?php echo e($setting->facebook); ?>" title="Facebook"><i class="fab fa-facebook-f"></i></a></li><?php endif; ?>
                                                        <?php if($setting->telphone != null): ?><li><a href="tel:+2<?php echo e($setting->telphone); ?>" title="Call"><i class="fa fa-phone"></i></a></li><?php endif; ?>
                                                        
                                                        <?php if($setting->whatsapp != null): ?><li><a href="https://wa.me/<?php echo e($setting->whatsapp); ?>" title="Whats App"><i class="fab fa-whatsapp"></i></a></li><?php endif; ?>
                                                    </ul>
                                                </div>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- ltn__header-top-area end -->
                <!-- ltn__header-middle-area start -->
                <div class="ltn__header-middle-area ltn__header-sticky ltn__sticky-bg-black">
                    <div class="container">
                        <div class="row">
                            <div class="col">
                                <div class="site-logo-wrap">
                                    <div class="site-logo">
                                        <a href="<?php echo e(url('/')); ?>"><img src="<?php echo e(url('uploads/settings/source/'. $configration->app_logo)); ?>" alt="Logo"></a>
                                    </div>
                                </div>
                            </div>
                            <div class="col header-menu-column menu-color-white">
                                <div class="header-menu d-none d-xl-block">
                                    <nav>
                                        <div class="ltn__main-menu">
                                            <ul>
                                                <?php $__currentLoopData = $menus; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $menu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if($menu->type == 'link'): ?>
                                                    <li class="<?php if(Request::segment(1) == $menu->type_value): ?> active <?php endif; ?> <?php if($menu->link_en == 'Book_Now'): ?> book-now <?php endif; ?>"><a href="<?php echo e($menu->type_value); ?>"><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?></a></li>
                                                <?php else: ?>
                                                    <?php if(count($menu->subMenu()) > 0): ?>
                                                        <li class="menu-icon"><a href='<?php echo e(url("$menu->type")); ?>'><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?> </a>
                                                            <ul>
                                                                <?php $__currentLoopData = $menu->subMenu(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subMenu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                    <?php if(count($subMenu->subMenu()) > 0): ?>
                                                                        <li><a href='<?php echo e(url("/$subMenu->type")); ?>'><?php echo e((app()->getLocale() == 'en')?$subMenu->name_en:$subMenu->name_ar); ?><span class="float-end">></span></a>
                                                                            <ul>
                                                                                <?php $__currentLoopData = $subMenu->subMenu(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subSubMenu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                                    <li><a href='<?php echo e(url("$subSubMenu->type")); ?>'><?php echo e((app()->getLocale() == 'en')?$subSubMenu->name_en:$subSubMenu->name_ar); ?></a></li>
                                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                                
                                                                            </ul>
                                                                        </li>
                                                                    <?php else: ?>
                                                                        <li class="menu-icon"><a href='<?php echo e(url("$subMenu->type")); ?>'><?php echo e((app()->getLocale() == 'en')?$subMenu->name_en:$subMenu->name_ar); ?></a></li>
                                                                    <?php endif; ?>
                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                            </ul>
                                                        </li>
                                                    <?php elseif($menu->type == 'services'): ?>    
                                                    <li class="menu-icon"><a href='<?php echo e(url('/services')); ?>'><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?> </a>
                                                        <ul>
                                                            <?php $__currentLoopData = $menuServices; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $service): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                    <li><a href='<?php echo e(route("checkUrl",$service->link)); ?>'><?php echo e((app()->getLocale() == 'en')?$service->name_en:$service->name_ar); ?><?php if(count($service->childs()) > 0): ?><span class="float-end">></span><?php endif; ?></a>
                                                                        <?php if(count($service->childs()) > 0): ?>
                                                                        <ul>
                                                                            <?php $__currentLoopData = $service->childs(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $child): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                                <li><a href='<?php echo e(route("checkUrl",$child->link)); ?>'><?php echo e((app()->getLocale() == 'en')?$child->name_en:$child->name_ar); ?></a></li>
                                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                        </ul>
                                                                        <?php endif; ?>

                                                                    </li>
                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                        </ul>
                                                    </li>
                                                    <?php else: ?>
                                                        <li class="<?php if(Request::segment(1) == $menu->type): ?> active <?php endif; ?> <?php if($menu->link_en == 'Book_Now'): ?> book-now <?php endif; ?>"><a href='<?php echo e(url("$menu->type")); ?>'><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?></a></li>
                                                    <?php endif; ?>
                                                <?php endif; ?>
                                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </ul>
                                        </div>
                                    </nav>
                                </div>
                            </div>
                            <div class="col--- ltn__header-options ltn__header-options-2 ">
                                <!-- Mobile Menu Button -->
                                <div class="mobile-menu-toggle d-xl-none">
                                    <a href="#ltn__utilize-mobile-menu" class="ltn__utilize-toggle">
                                        <svg viewBox="0 0 800 600">
                                            <path d="M300,220 C300,220 520,220 540,220 C740,220 640,540 520,420 C440,340 300,200 300,200" id="top"></path>
                                            <path d="M300,320 L540,320" id="middle"></path>
                                            <path d="M300,210 C300,210 520,210 540,210 C740,210 640,530 520,410 C440,330 300,190 300,190" id="bottom" transform="translate(480, 320) scale(1, -1) translate(-480, -318) "></path>
                                        </svg>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- ltn__header-middle-area end -->
            </header>
            <!-- HEADER AREA END -->

            <!-- Utilize Cart Menu Start -->

            <!-- Utilize Mobile Menu Start -->
            <div id="ltn__utilize-mobile-menu" class="ltn__utilize ltn__utilize-mobile-menu">
                <div class="ltn__utilize-menu-inner ltn__scrollbar">
                    <div class="ltn__utilize-menu-head">
                        <div class="site-logo">
                            <a href="<?php echo e(url('/')); ?>"><img src="<?php echo e(url('resources/assets/front/img/logo.png')); ?>" alt="Logo"></a>
                        </div>
                        <button class="ltn__utilize-close">×</button>
                    </div>
                    <div class="ltn__utilize-menu">
                        <ul>
                            <?php $__currentLoopData = $menus; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $menu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php if($menu->type == 'link'): ?>
                                <li class="<?php if(Request::segment(1) == $menu->type_value): ?> active <?php endif; ?> <?php if($menu->link_en == 'Book_Now'): ?> book-now <?php endif; ?>"><a href="<?php echo e($menu->type_value); ?>"><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?></a></li>
                            <?php else: ?>
                                <?php if(count($menu->subMenu()) > 0): ?>
                                    <li><a href='<?php echo e(url("$menu->type")); ?>'><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?> </a>
                                        <ul class="sub-menu">
                                            <?php $__currentLoopData = $menu->subMenu(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subMenu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if(count($subMenu->subMenu()) > 0): ?>
                                                    <li><a href='<?php echo e(url("/$subMenu->type")); ?>'><?php echo e((app()->getLocale() == 'en')?$subMenu->name_en:$subMenu->name_ar); ?><span class="float-end">></span></a>
                                                        <ul class="sub-menu">
                                                            <?php $__currentLoopData = $subMenu->subMenu(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subSubMenu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                <li><a href='<?php echo e(url("$subSubMenu->type")); ?>'><?php echo e((app()->getLocale() == 'en')?$subSubMenu->name_en:$subSubMenu->name_ar); ?></a></li>
                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                            
                                                        </ul>
                                                    </li>
                                                <?php else: ?>
                                                    <li><a href='<?php echo e(url("$subMenu->type")); ?>'><?php echo e((app()->getLocale() == 'en')?$subMenu->name_en:$subMenu->name_ar); ?></a></li>
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </ul>
                                    </li>
                                <?php elseif($menu->type == 'services'): ?>    
                                <li><a href="<?php echo e(url('/services')); ?>"><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?> </a>
                                    <ul class="sub-menu">
                                        <?php $__currentLoopData = $menuServices; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $service): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <li><a href='<?php echo e(route("checkUrl",$service->link)); ?>'><?php echo e((app()->getLocale() == 'en')?$service->name_en:$service->name_ar); ?></a>
                                                    <?php if(count($service->childs()) > 0): ?>
                                                    <ul class="sub-menu">
                                                        <?php $__currentLoopData = $service->childs(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $child): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <li><a href='<?php echo e(route("checkUrl",$child->link)); ?>'><?php echo e((app()->getLocale() == 'en')?$child->name_en:$child->name_ar); ?></a></li>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </ul>
                                                    <?php endif; ?>

                                                </li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                </li>
                                <?php else: ?>
                                    <li class="<?php if(Request::segment(1) == $menu->type): ?> active <?php endif; ?> <?php if($menu->link_en == 'Book_Now'): ?> book-now <?php endif; ?>"><a href='<?php echo e(url("$menu->type")); ?>'><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?></a></li>
                                <?php endif; ?>
                            <?php endif; ?>
                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                    <div class="ltn__social-media-2">
                        <ul>
                            <?php if($setting->facebook != null): ?>
                                <li><a href="<?php echo e($setting->facebook); ?>" title="Facebook"><i class="fab fa-facebook-f"></i></a></li>
                            <?php endif; ?>
                            <?php if($setting->twitter != null): ?>
                                <li><a href="<?php echo e($setting->twitter); ?>" title="Twitter"><i class="fab fa-twitter"></i></a></li>
                            <?php endif; ?>
                            <?php if($setting->linkedin != null): ?>
                                <li><a href="<?php echo e($setting->linkedin); ?>" title="Linkedin"><i class="fab fa-linkedin"></i></a></li>
                            <?php endif; ?>
                            <?php if($setting->instagram != null): ?>
                                <li><a href="<?php echo e($setting->instagram); ?>" title="Instagram"><i class="fab fa-instagram"></i></a></li>
                            <?php endif; ?>
                        </ul>
                    </div>
                </div>
            </div>
            <!-- Utilize Mobile Menu End -->

            <div class="ltn__utilize-overlay"></div>
            
            <?php echo $__env->yieldContent('content'); ?>

            <!-- CALL TO ACTION START (call-to-action-6) -->
            <div class="ltn__call-to-action-area call-to-action-6 before-bg-bottom" data-bs-bg="img/1.jpg--">
                <div class="container">
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="call-to-action-inner call-to-action-inner-6 ltn__secondary-bg position-relative text-center---">
                                <div class="coll-to-info text-color-white">
                                    <h1><?php echo e(trans('home.We are always try to serve the best service.')); ?></h1>
                                    <p><?php echo e(trans('home.We_can_help_you')); ?></p>
                                </div>
                                <div class="btn-wrapper">
                                    <a class="btn btn-effect-3 btn-white" href="<?php echo e(url('/contact-us')); ?>"><?php echo e(trans('home.contact-us')); ?> <i class="icon-next"></i></a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- CALL TO ACTION END -->

            <!-- FOOTER AREA START -->
            <footer class="ltn__footer-area  ">
                <div class="footer-top-area  section-bg-2 plr--5">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-xl-3 col-md-6 col-sm-6 col-12">
                                <div class="footer-widget footer-about-widget">
                                    <div class="footer-logo">
                                        <div class="site-logo">
                                            <img src="<?php echo e(url('uploads/settings/source/'.$configration->footer_logo)); ?>" alt="Logo">
                                        </div>
                                    </div>
                                    <p><?php echo $configration->about_app; ?></p>
                                    <div class="ltn__social-media mt-20">
                                        <ul>
                                            <?php if($setting->facebook != null): ?><li><a href="<?php echo e($setting->facebook); ?>" title="Facebook"><i class="fab fa-facebook-f"></i></a></li><?php endif; ?>
                                            <?php if($setting->whatsapp != null): ?><li><a href="https://wa.me/<?php echo e($setting->whatsapp); ?>" title="Whats App"><i class="fab fa-whatsapp"></i></a></li><?php endif; ?>
                                            <?php if($setting->telphone != null): ?><li><a href="tel:+2<?php echo e($setting->telphone); ?>" title="Phone"><i class="fa fa-phone"></i></a></li><?php endif; ?>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-2 col-md-6 col-sm-6 col-12">
                                <div class="footer-widget footer-menu-widget clearfix">
                                    <h4 class="footer-title"><?php echo e(trans('home.Important-links')); ?></h4>
                                    <div class="footer-menu">
                                        <ul>
                                            <?php $__currentLoopData = $menus; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $menu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <li><a href="<?php echo e(route("checkUrl",$menu->type)); ?>"><?php echo e(app()->getLocale() == 'en' ? $menu->name_en : $menu->name_ar); ?></a></li>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-3 col-md-6 col-sm-6 col-12">
                                <div class="footer-widget footer-menu-widget clearfix">
                                    <h4 class="footer-title"><?php echo e(trans('home.products')); ?></h4>
                                    <div class="footer-menu">
                                        <ul>
                                            <?php $__currentLoopData = $footerServices; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $serv): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <li><a href="<?php echo e(route("checkUrl",$serv->link)); ?>"><?php echo e(app()->getLocale() == 'en' ? $serv->name_en : $serv->name_ar); ?></a></li>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-3 col-md-6 col-sm-6 col-12">
                                <div class="footer-widget footer-menu-widget clearfix">
                                    <h4 class="footer-title"><?php echo e(trans('home.contact-us')); ?></h4>
                                    <div class="footer-menu">
                                        <div class="footer-address">
                                            <ul>
                                                <li>
                                                    <div class="footer-address-icon">
                                                        <i class="icon-placeholder"></i>
                                                    </div>
                                                    <div class="footer-address-info">
                                                        <p><?php echo e($configration->address1); ?></p>
                                                    </div>
                                                </li>
                                                <li>
                                                    <div class="footer-address-icon">
                                                        <i class="icon-call"></i>
                                                    </div>
                                                    <div class="footer-address-info">
                                                        <p><a href="tel:+2<?php echo e($setting->mobile); ?>"><?php echo e($setting->mobile); ?></a></p>
                                                    </div>
                                                </li>
                                                <li>
                                                    <div class="footer-address-icon">
                                                        <i class="icon-mail"></i>
                                                    </div>
                                                    <div class="footer-address-info">
                                                        <p><a href="mailto:<?php echo e($setting->email); ?>"><?php echo e($setting->email); ?></a></p>
                                                    </div>
                                                </li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="ltn__copyright-area ltn__copyright-2 plr--5">
                    <div class="container-fluid ltn__border-top-2">
                        <div class="row">
                            <div class="col-12">
                                <div class="ltn__copyright-design clearfix">
                                   <p class="site-footer__bottom-text"><?php echo e(trans('home.All Rights Reserved')); ?> &copy; <span class="current-year"><?php echo e(date('Y')); ?></span> <?php echo e($configration->app_name); ?> <a href="https://be-group.com/be_en" target="_blank"><?php echo e(trans('home.Developed and Designed by BeGroup')); ?></p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </footer>
            <!-- FOOTER AREA END -->

        </div>
        <!-- Body main wrapper end -->

        



        <!-- preloader area start -->
        <div class="preloader d-none" id="preloader">
            <div class="preloader-inner">
                <div class="spinner">
                    <div class="dot1"></div>
                    <div class="dot2"></div>
                </div>
            </div>
        </div>
        <!-- preloader area end -->
        <!-- Social Media -->
        <ul id="wrapper" class="">
            <?php if($setting->mobile !=null): ?><li class="Icon call">
            <span class="tooltip">Call</span>
            <a href="tel:+2<?php echo e($setting->mobile); ?>"><span><i class="fa fa-phone"></i></span></a>
            </li><?php endif; ?>
            <?php if($setting->whatsapp !=null): ?><li class="Icon whatsapp">
            <span class="tooltip">whatsapp</span>
            <a href="https://wa.me/<?php echo e($setting->whatsapp); ?>" target="_blank"><span><i class="fab fa-whatsapp"></i></span></a>
            </li><?php endif; ?>
            <?php if($setting->mobile !=null): ?><li class="Icon facebook">
            <span class="tooltip">Facebook</span>
            <a href="<?php echo e($setting->facebook); ?>" target="_blank"><span><i class="fab fa-facebook"></i></span></a>
            </li><?php endif; ?>
            <?php if($setting->instgram !=null): ?><li class="Icon instagram">
            <span class="tooltip">Instagram</span>
            <a href="<?php echo e($setting->instgram); ?>" target="_blank"><span><i class="fab fa-instagram"></i></span></a>
            </li><?php endif; ?>
        </ul>
        <!-- End Social Media -->
        
        <script src="<?php echo e(url('resources/assets/front/js/plugins.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/js/main.js')); ?>"></script>

        <?php echo $__env->yieldContent('script'); ?>
    </body>
</html><?php /**PATH C:\xampp\htdocs\digital-valley\resources\views/layouts/app.blade.php ENDPATH**/ ?>