<?php $__env->startSection('meta'); ?>
    <?php echo $metatags ?>

    <?php echo $schema ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <!--====== Page Title Start ======-->
    <section class="page-title-area page-title-bg" style="background-image: url(<?php echo e(url('resources/assets/front/img/bredcrumb.jpg')); ?>);">
        <div class="container">
            <h1 class="page-title"><?php echo e((app()->getLocale() == 'en')? $service->name_en : $service->name_ar); ?></h1>

            <ul class="breadcrumb-nav">
                <li><a href="<?php echo e(url('/')); ?>"><?php echo e(trans('home.home')); ?></a></li>
                <li><i class="fas fa-angle-right"></i></li>
                <li><?php echo e((app()->getLocale() == 'en')? $service->name_en : $service->name_ar); ?></li>
            </ul>
        </div>
        
    </section>
    <!--====== Page Title End ======-->

    <!--====== Service Area Start ======-->
    <section class="services-area section-gap">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-8 order-lg-last">
                    <div class="service-details-wrapper">
                        <div class="service-thumbnail mb-50">
                            <img src="<?php echo e(url('uploads/services/source/'. $service->img)); ?>" alt="service">
                        </div>
                        <h2 class="service-title"><?php echo e((app()->getLocale() == 'en')? $service->name_en : $service->name_ar); ?></h2>
                        <p>
                            <?php echo (app()->getLocale() == 'en')? $service->text_en : $service->text_ar; ?>

                        </p>
                        <?php $__currentLoopData = $service->faq; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $faq): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <h2 class="step-heading">
                                <?php echo e($faq->question); ?>

                            </h2>
                            <p>
                                <?php echo e($faq->answer); ?>

                            </p>  
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    
                    </div>
                </div>
                <div class="col-lg-4">
                    <div class="primary-sidebar">
                        <div class="widget category-widget">
                            <h4 class="widget-title"><?php echo e(trans('home.services')); ?></h4>
                            <ul>
                                <?php $__currentLoopData = $services; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $oneService): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><a href="<?php echo e($oneService->link); ?>"><?php echo e((app()->getLocale() == 'en')? $oneService->name_en : $oneService->name_ar); ?></a></li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </ul>
                        </div>
                        <div class="widget appointment-form">
                            <h3 class="widget-title"><?php echo e(trans('home.contact-us')); ?></h3>
                            <form action="<?php echo e(route('saveContactUs')); ?>" method="post">
                                <?php echo csrf_field(); ?>
                                <div class="row">
                                    <div class="col-12">
                                        <div class="input-field wow fadeInLeft" data-wow-delay="0.3s">
                                                <input type="text" name="name" required placeholder="<?php echo e(trans('home.name')); ?>">
                                        </div>
                                    </div>
                                    <div class="col-12">
                                        <div class="input-field wow fadeInLeft" data-wow-delay="0.3s">
                                                <input type="email" name="email" required placeholder="<?php echo e(trans('home.email')); ?>">
                                        </div>
                                    </div>
                                    <div class="col-12">
                                        <div class="input-field wow fadeInLeft" data-wow-delay="0.3s">
                                            <input type="text" name="phone" required placeholder="<?php echo e(trans('home.mobile')); ?>">
                                        </div>
                                    </div>
                                    <div class="col-12">
                                        <div class="input-field wow fadeInLeft" data-wow-delay="0.3s">
                                                <textarea name="message" id="#" required  cols="30" rows="10" placeholder="<?php echo e(trans('home.leave-message')); ?>"></textarea>
                                        </div>
                                    </div>
                                    <div class="col-12">
                                        <div class="input-field wow fadeInLeft" data-wow-delay="0.7s">
                                            <button type="submit" class="template-btn">
                                                <?php echo e(trans('home.contact-us')); ?><i class="far fa-plus"></i>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--====== Service Area End ======-->
    
    <!--====== Maps Start ======-->
    <div class="map">
        <iframe src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d13646.554187177462!2d29.9476229!3d31.230742!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x0%3A0x8e6304a0b2a4025b!2z2KfZhNin2LPYqtin2LAg2KfZhNiv2YPYqtmI2LEg2LPYp9mF2K0g2LTYrdin2KrZhw!5e0!3m2!1sen!2seg!4v1664377569746!5m2!1sen!2seg" height="400" style="border:0; width: 100%;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
    </div>
    <!--====== Maps End ======-->

<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>


    <?php if(Session::has('contact_message')): ?>
        <script>
            $.alert({
                title: "<?php echo e(trans('home.contact_us')); ?>",
                content: "<?php echo e(Session::get('contact_message')); ?>",
                buttons: {
                    ok: {
                        text: "<?php echo e(trans('home.OK')); ?>",
                        btnClass: 'btn main-btn',
                    },
                },
                columnClass: 'col-md-6'
            });
        </script>
    <?php endif; ?>
    <?php
        Session::forget('contact_message')
    ?>
<?php $__env->stopSection(); ?>    
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\dr-sameh\resources\views/website/service-details.blade.php ENDPATH**/ ?>