<?php $__env->startSection('meta'); ?>
    <title><?php echo e(trans('home.edit_galleryImage')); ?></title>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

<div class="container-fluid">

        <!-- Page Header -->
        <div class="page-header">
            <div>
                <h2 class="main-content-title tx-24 mg-b-5"><?php echo e(trans('home.galleryImages')); ?></h2>
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="<?php echo e(url('/admin')); ?>"><?php echo e(trans('home.admin')); ?></a></li>
                    <li class="breadcrumb-item"><a href="<?php echo e(url('admin/gallery-images')); ?>"><?php echo e(trans('home.galleryImages')); ?></a></li>
                    <li class="breadcrumb-item active" aria-current="page"><?php echo e(trans('home.edit_galleryImage')); ?></li>
                </ol>
            </div>
        </div>
        <!-- End Page Header -->

        <!-- Row-->
        <div class="row">
            <div class="col-sm-12 col-xl-12 col-lg-12">
                <div class="card custom-card overflow-hidden">

                    <div class="card-body">
                        <div>
                            <h6 class="card-title mb-1"><?php echo e(trans('home.edit_galleryImage')); ?></h6>
                        </div>
                        <?php echo Form::open(['method'=>'PATCH','url' => 'admin/gallery-images/'.$galleryImage->id, 'data-toggle'=>'validator', 'files'=>'true']); ?>

                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label class=""><?php echo e(trans('home.image')); ?></label>
                                    <input class="form-control" name="img" type="file" >
                                </div>
                                
                                <div class="form-group col-md-3"> 
                                    <label for="type"><?php echo e(trans('home.type')); ?></label>
                                    <select class="form-control select2 type" name="type">
                                        <option value ="general" <?php echo e(($galleryImage->type)?'selected':''); ?>><?php echo e(trans('home.general')); ?></option>
                                        <option value ="certificate" <?php echo e(($galleryImage->type)?'selected':''); ?>><?php echo e(trans('home.before-and-after')); ?></option>
                                    </select>
                                </div>

                                <div class="form-group col-md-3">
                                    <fieldset class="form-group">
                                        <label for="order"><?php echo e(trans('home.order')); ?></label>
                                        <input type="number" min="1"  class="form-control" placeholder="<?php echo e(trans('home.order')); ?>" name="order" value="<?php echo e($galleryImage->order); ?>" >
                                    </fieldset>
                                </div>
                            
                                <?php if($galleryImage->img): ?>
                                    <div class="form-group col-md-12">
                                        <img src="<?php echo e(url('uploads/galleryImages/source/'.$galleryImage->img)); ?>"  width="150px" height="150px"/>
                                    </div>
                                <?php endif; ?>
                                
                                <div class="form-group col-md-6">
                                    <label for="text_en"><?php echo e(trans('home.text_en')); ?></label>
                                    <textarea class="form-control " name="text_en" placeholder="<?php echo e(trans('home.text_en')); ?>" maxlength="50"><?php echo e($galleryImage->text_en); ?></textarea>
                                </div>

                                <div class="form-group col-md-6">
                                    <label for="text_ar"><?php echo e(trans('home.text_ar')); ?></label>
                                    <textarea class="form-control " name="text_ar" placeholder="<?php echo e(trans('home.text_ar')); ?>" maxlength="50"><?php echo e($galleryImage->text_ar); ?></textarea>
                                </div>

                                <div class="form-group col-md-12">
                                    <label class="ckbox">
                                        <input name="status" value="1" <?php echo e(($galleryImage->status == 1)? 'checked':''); ?> type="checkbox"><span class="tx-13"><?php echo e(trans('home.publish')); ?></span>
                                    </label>
                                </div>
                                
                                <div class="form-group col-md-3"> 
                                    <label for="type"><?php echo e(trans('home.services')); ?></label>
                                    <select class="form-control select2 type" name="sevice_id">
                                        <option value ="" ><?php echo e(trans('home.Choose-Service')); ?></option>
                                        <?php $__currentLoopData = $services; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $service): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value ="<?php echo e($service->id); ?>"><?php echo e((app()->getLocale() == 'en')? $service->name_en : $service->name_ar); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>

                                <div class="form-group col-md-12">
                                    <button type="submit" class="btn btn-success"><i class="icon-note"></i> <?php echo e(trans('home.save')); ?> </button>
                                    <a href="<?php echo e(url('/admin/gallery-images')); ?>"><button type="button" class="btn btn-danger mr-1"><i class="icon-trash"></i> <?php echo e(trans('home.cancel')); ?></button></a>
                                </div>

                            </div>
                        <?php echo Form::close(); ?>

                    </div>
                </div>
            </div>
        </div>
        <!-- End Row -->
    </div>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\dr-ahmed\resources\views/admin/galleryImages/editGalleryImage.blade.php ENDPATH**/ ?>