<!DOCTYPE html>
<html lang="<?php echo e(app()->getLocale()); ?>">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
         <?php echo $__env->yieldContent('meta'); ?>
        <!-- favicons Icons -->
        <link rel="icon" href="<?php echo e(url('uploads/settings/source/'.$configration->app_logo)); ?>">
        <link rel="shortcut icon" href="<?php echo e(url('uploads/settings/source/'.$configration->app_logo)); ?>" type="image/x-icon">
        <!-- Stylesheets -->
        <!--====== Animate Css ======-->
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/css/animate.min.css')); ?>" />
        <!--====== Bootstrap css ======-->
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/css/bootstrap.min.css')); ?>" />
        <!--====== Slick Slider ======-->
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/css/slick.min.css')); ?>" />
        <!--====== Nice Select ======-->
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/css/nice-select.min.css')); ?>" />
        <!--====== Magnific Popup ======-->
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/css/magnific-popup.min.css')); ?>" />
        <!--====== Flaticon ======-->
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/fonts/flaticon/css/flaticon.css')); ?>" />
        <!--====== Font Awesome ======-->
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/fonts/fontawesome/css/all.min.css')); ?>" />
        <?php if(app()->getLocale() == 'en'): ?>
        <!--====== English Css ======-->
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/css/style.css')); ?>" />
        <?php else: ?>
        <!--====== Arabic Css ======-->
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/css/style-ar.css')); ?>" />
        <?php endif; ?>

        <?php echo $__env->yieldContent('style'); ?>
    </head>
    
    <body>
        <!--====== Start Preloader ======-->
        <div id="preloader">
            <div id="loading-center">
                <div id="object"></div>
            </div>
        </div>
        <!--====== End Preloader ======-->
        <!--====== Start Template Header ======-->
        <header class="template-header sticky-header header-one absolute-header">
            <div class="container ">
                <div class="header-navigation">
                    <div class="header-left">
                        <div class="site-logo">
                            <a href="<?php echo e(url('/')); ?>">
                                <img src="<?php echo e(url('uploads/settings/source/'. $configration->app_logo)); ?>" alt="image/x-icon">
                            </a>
                        </div>
                        <nav class="site-menu menu-gap-left d-none d-xl-block">
                            <ul class="primary-menu">
                                <?php $__currentLoopData = $menus; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $menu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if($menu->type == 'link'): ?>
                                    <li class="<?php if(Request::segment(1) == $menu->type_value): ?> active <?php endif; ?> <?php if($menu->link_en == 'Book_Now'): ?> book-now <?php endif; ?>"><a href="<?php echo e($menu->type_value); ?>"><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?></a></li>
                                <?php else: ?>
                                    <?php if(count($menu->subMenu()) > 0): ?>
                                        <li class="sub-menu"><a href='<?php echo e(url("$menu->type")); ?>'><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?> </a>
                                            <ul class='sub-menu'>
                                                <?php $__currentLoopData = $menu->subMenu(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subMenu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <?php if(count($subMenu->subMenu()) > 0): ?>
                                                        <li class="sub-menu"><a href='<?php echo e(url("/$subMenu->type")); ?>'><?php echo e((app()->getLocale() == 'en')?$subMenu->name_en:$subMenu->name_ar); ?></a>
                                                            <ul class='sub-menu'>
                                                                <?php $__currentLoopData = $subMenu->subMenu(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subSubMenu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                    <li><a href='<?php echo e(url("$subSubMenu->type")); ?>'><?php echo e((app()->getLocale() == 'en')?$subSubMenu->name_en:$subSubMenu->name_ar); ?></a></li>
                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                
                                                            </ul>
                                                        </li>
                                                    <?php else: ?>
                                                        <li><a href='<?php echo e(url("$subMenu->type")); ?>'><?php echo e((app()->getLocale() == 'en')?$subMenu->name_en:$subMenu->name_ar); ?></a></li>
                                                    <?php endif; ?>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </ul>
                                        </li>
                                    <?php elseif($menu->type == 'home'): ?>
                                        <li class="<?php if(Request::segment(1) == ''): ?> active <?php endif; ?>"><a href='<?php echo e(url("/")); ?>'><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?></a></li>
                                    <?php else: ?>
                                        <li class="<?php if(Request::segment(1) == $menu->type): ?> active <?php endif; ?> <?php if($menu->link_en == 'Book_Now'): ?> book-now <?php endif; ?>"><a href='<?php echo e(url("$menu->type")); ?>'><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?></a></li>
                                    <?php endif; ?>
                                <?php endif; ?>
                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </nav>
                    </div>
                    <div class="header-right">
                        <ul class="extra-icons">
                            
                            <li class="d-none d-xl-block">
                                <div class="off-canvas-btn style-two">
                                    <span></span>
                                </div>
                            </li>
                            <li class="d-xl-none">
                                <a href="#" class="navbar-toggler">
                                    <span></span>
                                    <span></span>
                                    <span></span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>

            <!-- Start Off Canvas -->
            <div class="slide-panel off-canvas-panel">
                <div class="panel-overlay"></div>
                <div class="panel-inner">
                    <div class="canvas-logo">
                        <img src="<?php echo e(url('uploads/settings/source/'.$configration->app_logo)); ?>" alt="image/x-icon">
                    </div>
                    <div class="about-us">
                        <h5 class="canvas-widget-title"><?php echo e(trans('home.about_us')); ?></h5>
                        <p>
                            <?php echo $configration->about_app; ?>

                        </p>
                    </div>
                    <div class="contact-us">
                        <h5 class="canvas-widget-title"><?php echo e(trans('home.contact-us')); ?></h5>
                        <ul>
                            <?php if($configration->address1 != null): ?>
                                <li>
                                    <i class="far fa-map-marker-alt"></i>
                                    <a href="<?php echo e($setting->map_url); ?>" target="_blank"><span>
                                        <?php echo e($configration->address1); ?> </span>
                                    </a>
                                </li>
                            <?php endif; ?>
                            <?php if($configration->address2 != null ): ?>
                                <li>
                                    <i class="far fa-map-marker-alt"></i>
                                    <a href="<?php echo e($setting->map_url); ?>" target="_blank"><span>
                                        <?php echo e($configration->address2); ?> </span>
                                    </a>
                                </li>
                            <?php endif; ?>
                            <?php if($setting->email != null ): ?>
                                <li>
                                    <i class="far fa-envelope-open"></i>
                                    <a href="mailto:<?php echo e($setting->email); ?>"><span ><?php echo e($setting->email); ?></span></a>
                                </li>
                            <?php endif; ?>
                            <?php if($setting->telphone != null ): ?>
                                <li>
                                    <i class="far fa-phone"></i>
                                    <a href="tel:+2<?php echo e($setting->telphone); ?>"><?php echo e($setting->telphone); ?></a>
                                </li>
                            <?php endif; ?>
                        </ul>
                    </div>
                    <a href="#" class="panel-close">
                        <i class="fal fa-times"></i>
                    </a>
                </div>
            </div>
            <!-- End Off Canvas -->

            <!-- Start Mobile Panel -->
            <div class="slide-panel mobile-slide-panel">
                <div class="panel-overlay"></div>
                <div class="panel-inner">
                    <div class="panel-logo">
                        <img src="<?php echo e(url('uploads/settings/source/'.$configration->app_logo)); ?>" alt="image/x-icon">
                    </div>
                    <nav class="mobile-menu">
                        <ul class="primary-menu">
                            <?php $__currentLoopData = $menus; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $menu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php if($menu->type == 'link'): ?>
                                <li class="<?php if(Request::segment(1) == $menu->type_value): ?> active <?php endif; ?> <?php if($menu->link_en == 'Book_Now'): ?> book-now <?php endif; ?>"><a href="<?php echo e($menu->type_value); ?>"><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?></a></li>
                            <?php else: ?>
                                <?php if(count($menu->subMenu()) > 0): ?>
                                    <li class="sub-menu"><a href='<?php echo e(url("$menu->type")); ?>'><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?> </a>
                                        <ul class='sub-menu'>
                                            <?php $__currentLoopData = $menu->subMenu(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subMenu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if(count($subMenu->subMenu()) > 0): ?>
                                                    <li class="sub-menu"><a href='<?php echo e(url("/$subMenu->type")); ?>'><?php echo e((app()->getLocale() == 'en')?$subMenu->name_en:$subMenu->name_ar); ?></a>
                                                        <ul class='sub-menu'>
                                                            <?php $__currentLoopData = $subMenu->subMenu(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subSubMenu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                <li><a href='<?php echo e(url("$subSubMenu->type")); ?>'><?php echo e((app()->getLocale() == 'en')?$subSubMenu->name_en:$subSubMenu->name_ar); ?></a></li>
                                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                            
                                                        </ul>
                                                    </li>
                                                <?php else: ?>
                                                    <li><a href='<?php echo e(url("$subMenu->type")); ?>'><?php echo e((app()->getLocale() == 'en')?$subMenu->name_en:$subMenu->name_ar); ?></a></li>
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </ul>
                                    </li>
                                <?php elseif($menu->type == 'home'): ?>
                                    <li class="<?php if(Request::segment(1) == ''): ?> active <?php endif; ?>"><a href='<?php echo e(url("/")); ?>'><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?></a></li>
                                <?php else: ?>
                                    <li class="<?php if(Request::segment(1) == $menu->type): ?> active <?php endif; ?> <?php if($menu->link_en == 'Book_Now'): ?> book-now <?php endif; ?>"><a href='<?php echo e(url("$menu->type")); ?>'><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?></a></li>
                                <?php endif; ?>
                            <?php endif; ?>
                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </nav>
                    <a href="#" class="panel-close">
                        <i class="fal fa-times"></i>
                    </a>
                </div>
            </div>
            <!-- Start Mobile Panel -->
        </header>
        <!--====== End Template Header ======-->
        

        <!--====== Back to Top Start ======-->
        <a class="back-to-top" href="#">
            <i class="far fa-angle-up"></i>
        </a>
        <!--====== Back to Top End ======-->
        <div id="wrapper">
            <?php if($setting->facebook != null): ?>
            <a href="<?php echo e($setting->facebook); ?>" class="icon-container facebook">
            <i class="icon fab fa-facebook-f"></i>
            </a>
            <?php endif; ?>
            <?php if($setting->telphone != null): ?>
            <a href="tel:+2<?php echo e($setting->telphone); ?>" class="icon-container phone">
            <i class="icon fa fa-phone"></i>
            </a>
            <?php endif; ?>
            <?php if($setting->whatsapp != null): ?>
            <a href="https://wa.me/+2<?php echo e($setting->whatsapp); ?>" class="icon-container youtube">
            <i class="icon fab fa-whatsapp"></i>
            </a>
            <?php endif; ?>
            <?php if($setting->instagram != null): ?>
            <a href="<?php echo e($setting->instagram); ?> " class="icon-container github">
            <i class="icon fab fa-instagram"></i>
            </a>
            <?php endif; ?>
        </div>
        <?php echo $__env->yieldContent('content'); ?>
        <!--====== Start Template Footer ======-->
        <footer class="template-footer template-footer-white">
            <div class="footer-inner">
                <div class="container">
                    <div class="footer-widgets">
                        <div class="row">
                            <div class="col-lg-3 col-md-8">
                                <div class="widget text-widget">
                                    <a href="<?php echo e(url('/')); ?>">
                                        <div class="footer-logo">
                                            <img src="<?php echo e(url('uploads/settings/source/'.$configration->footer_logo)); ?>" alt="Medibo">
                                        </div>
                                    </a>
                                    <p>
                                        <?php echo e($configration->app_name); ?>

                                    </p>
                                    
                                </div>
                            </div>
                            <div class="col-lg-6">
                                <div class="row">
                                    <div class="col-xl-5 col-md-6">
                                        <div class="widget nav-widget">
                                            <h4 class="widget-title"><?php echo e(trans('home.Important-links')); ?></h4>
                                            <ul class="nav-links">
                                                <?php $__currentLoopData = $menus; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $menu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <li><a href="<?php echo e(url('/'.$menu->type)); ?>"><?php echo e((app()->getLocale() == 'en')? $menu->name_en : $menu->name_ar); ?></a></li>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </ul>
                                        </div>
                                    </div>
                                    <div class="col-xl-7 col-md-6">
                                        <div class="widget instagram-widget">
                                            <h4 class="widget-title"><?php echo e(trans('home.services')); ?></h4>
                                                <ul class="nav-links">
                                                    <?php $__currentLoopData = $footerServices; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $footerService): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <li><a href="<?php echo e($footerService->link); ?>"><?php echo e((app()->getLocale() == 'en')? $footerService->name_en : $footerService->name_ar); ?></a></li>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </ul>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-3 col-md-10">
                                <div class="widget newsletters-widget">
                                    <h4 class="widget-title"><?php echo e(trans('home.address')); ?></h4>
                                    <ul class="contact-list">
                                        <?php if($configration->address1 != null): ?>
                                        <li>
                                            <i class="far fa-map-marker-alt"></i>
                                            <a href="<?php echo e($setting->map_url); ?>" target="_blank"><span>
                                                <?php echo e($configration->address1); ?> </span>
                                            </a>
                                        </li>
                                        <?php endif; ?>
                                        <?php if($configration->address2 != null): ?>
                                        <li>
                                            <i class="far fa-map-marker-alt"></i>
                                            <a href="<?php echo e($setting->map_url); ?>" target="_blank"><span>
                                                <?php echo e($configration->address2); ?> </span>
                                            </a>
                                        </li>
                                        <?php endif; ?>
                                        <?php if($setting->email != null ): ?>
                                        <li>
                                            <i class="far fa-envelope-open"></i>
                                            <a href="mailto:<?php echo e($setting->email); ?>"><span ><?php echo e($setting->email); ?></span></a>
                                        </li>
                                        <?php endif; ?>
                                        <?php if($setting->telphone != null ): ?>
                                            <li>
                                                <i class="far fa-phone"></i>
                                                <a href="tel:+2<?php echo e($setting->telphone); ?>"><?php echo e($setting->telphone); ?></a>
                                            </li>
                                        <?php endif; ?>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="copyright-area">
                        <p>
                            <?php echo e(trans('home.All Rights Reserved')); ?>  <a href="<?php echo e(url('/')); ?>"><?php echo e(trans('home.be-group')); ?> </a> © 2022
                        </p>
                    </div>
                </div>
            </div>
        </footer>
        <!--====== End Template Footer ======-->
    
        <!--====== Jquery ======-->
        <script src="<?php echo e(url('resources/assets/front/js/jquery-3.6.0.min.js')); ?>"></script>
        <!--====== Bootstrap ======-->
        <script src="<?php echo e(url('resources/assets/front/js/bootstrap.min.js')); ?>"></script>
        <!--====== Slick slider ======-->
        <script src="<?php echo e(url('resources/assets/front/js/slick.min.js')); ?>"></script>
        <!--====== Isotope ======-->
        <script src="<?php echo e(url('resources/assets/front/js/isotope.pkgd.min.js')); ?>"></script>
        <!--====== Images loaded ======-->
        <script src="<?php echo e(url('resources/assets/front/js/imagesloaded.pkgd.min.js')); ?>"></script>
        <!--====== In-view ======-->
        <script src="<?php echo e(url('resources/assets/front/js/jquery.inview.min.js')); ?>"></script>
        <!--====== Nice Select ======-->
        <script src="<?php echo e(url('resources/assets/front/js/jquery.nice-select.min.js')); ?>"></script>
        <!--====== Magnific Popup ======-->
        <script src="<?php echo e(url('resources/assets/front/js/magnific-popup.min.js')); ?>"></script>
        <!--====== WOW Js ======-->
        <script src="<?php echo e(url('resources/assets/front/js/wow.min.js')); ?>"></script>
        <!--====== Main JS ======-->
        <script src="<?php echo e(url('resources/assets/front/js/main.js')); ?>"></script>
        <!-- Google Tag Manager (noscript) -->
        <noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NJQMJVW"
        height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
        <!-- End Google Tag Manager (noscript) -->
        

        <?php echo $__env->yieldContent('script'); ?>
    </body>
</html><?php /**PATH C:\xampp\htdocs\dr-sameh\resources\views/layouts/app.blade.php ENDPATH**/ ?>