<!DOCTYPE html>
<html lang="<?php echo e(app()->getLocale()); ?>">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
         <?php echo $__env->yieldContent('meta'); ?>
        <!-- fonts -->
        <link rel="preconnect" href="https://fonts.googleapis.com">
        <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
        <link href="https://fonts.googleapis.com/css2?family=Cairo:wght@300;400;500;600;700&display=swap" rel="stylesheet">
        <!-- favicons Icons -->
        <link rel="icon" href="<?php echo e(url('uploads/settings/source/'.$configration->app_logo)); ?>">
        <link rel="shortcut icon" href="<?php echo e(url('uploads/settings/source/'.$configration->app_logo)); ?>" type="image/x-icon">
        <!-- Stylesheets -->
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/bootstrap/css/bootstrap.min.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/animate/animate.min.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/animate/custom-animate.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/fontawesome/css/all.min.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/jarallax/jarallax.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/jquery-magnific-popup/jquery.magnific-popup.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/nouislider/nouislider.min.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/nouislider/nouislider.pips.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/odometer/odometer.min.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/swiper/swiper.min.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/ambed-icons/style.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/tiny-slider/tiny-slider.min.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/reey-font/stylesheet.css')); ?>" />
        
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/owl-carousel/owl.carousel.min.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/owl-carousel/owl.theme.default.min.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/bxslider/jquery.bxslider.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/bootstrap-select/css/bootstrap-select.min.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/vegas/vegas.min.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/jquery-ui/jquery-ui.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/timepicker/timePicker.css')); ?>" />
        
        <!-- template styles -->
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/css/style-ar.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/css/responsive.css')); ?>" />
        <!-- toolbar css -->
        <link rel="stylesheet" href="<?php echo e(url('resources/assets/front/vendors/toolbar/css/toolbar.css')); ?>">
        <?php echo $__env->yieldContent('style'); ?>
    </head>
    
    <body class="custom-cursor">

        <div class="custom-cursor__cursor"></div>
        <div class="custom-cursor__cursor-two"></div>

        <!-- style switcher -->
        <div class="style-switcher">
            <a href="#" id="switcher-toggler"><i class="fa fa-cog"></i></a>
            <h3><?php echo e(trans('home.Language Option')); ?></h3>
            <div class="layout-feature" id="colorMode">
                <a href="<?php echo e(url('lang/en')); ?>" class="" data-theme=""><?php echo e(trans('home.english')); ?></a>
                <a href="<?php echo e(url('lang/ar')); ?>" class="" data-theme=""><?php echo e(trans('home.arabic')); ?></a>
                <button class="boxed-switcher"><?php echo e(trans('home.Boxed')); ?></button><!-- /.ltr-switcher -->
            </div><!-- /.language-feature -->
        </div>
        

        <div class="page-wrapper">
            <header class="main-header-two clearfix">
                <nav class="main-menu main-menu-two clearfix">
                    <div class="main-menu-two__wrapper clearfix">
                        <div class="main-menu-two__left">
                            <div class="main-menu-two__logo">
                                <a href="<?php echo e(url('/')); ?>">
                                    <img src="<?php echo e(url('uploads/settings/source/'. $configration->app_logo)); ?>" class="light-logo" alt="logo">
                                </a>
                            </div>
                            <div class="main-menu-two__main-menu-two-box">
                                <div class="main-menu-two__main-menu-two-inner">
                                    <a href="#" class="mobile-nav__toggler"><i class="fa fa-bars"></i></a>
                                    <ul class="main-menu__list">
                                        <?php $__currentLoopData = $menus; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $menu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if($menu->type == 'link'): ?>
                                            <li class="<?php if(Request::segment(1) == $menu->type_value): ?> current <?php endif; ?> <?php if($menu->link_en == 'Book_Now'): ?> book-now <?php endif; ?>"><a href="<?php echo e($menu->type_value); ?>"><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?></a></li>
                                        <?php else: ?>
                                            <?php if(count($menu->subMenu()) > 0): ?>
                                                <li class="dropdown"><a href='<?php echo e(url("$menu->type")); ?>'><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?> </a>
                                                    <ul class="shadow-box">
                                                        <?php $__currentLoopData = $menu->subMenu(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subMenu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <?php if(count($subMenu->subMenu()) > 0): ?>
                                                                <li class="dropdown"><a href='<?php echo e(url("/$subMenu->type")); ?>'><?php echo e((app()->getLocale() == 'en')?$subMenu->name_en:$subMenu->name_ar); ?></a>
                                                                    <ul class="shadow-box">
                                                                        <?php $__currentLoopData = $subMenu->subMenu(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subSubMenu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                            <li class="dropdown"><a href='<?php echo e(url("$subSubMenu->type")); ?>'><?php echo e((app()->getLocale() == 'en')?$subSubMenu->name_en:$subSubMenu->name_ar); ?></a></li>
                                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                        
                                                                    </ul>
                                                                </li>
                                                            <?php else: ?>
                                                                <li class="dropdown"><a href='<?php echo e(url("$subMenu->type")); ?>'><?php echo e((app()->getLocale() == 'en')?$subMenu->name_en:$subMenu->name_ar); ?></a></li>
                                                            <?php endif; ?>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </ul>
                                                </li>
                                            <?php elseif($menu->type == 'home'): ?>
                                                <li class="<?php if(Request::segment(1) == ''): ?> current <?php endif; ?>"><a href='<?php echo e(url("/")); ?>'><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?></a></li>
                                            <?php elseif($menu->type == 'videos'): ?>
                                            <li class="<?php if(Request::segment(1) == ''): ?> current <?php endif; ?>"><a href='<?php echo e(url("/galleryVideos")); ?>'><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?></a></li>
                                            <?php elseif($menu->type == 'services'): ?>    
                                            <li class="dropdown"><a href='<?php echo e(route('checkUrl' ,$menu->type)); ?>'><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?> </a>
                                                <ul class="shadow-box">
                                                    <?php $__currentLoopData = $menuServices; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $service): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <li class="dropdown"><a href='<?php echo e(route("checkUrl",$service->link)); ?>'><?php echo e((app()->getLocale() == 'en')?$service->name_en:$service->name_ar); ?></a></li>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </ul>
                                            </li>
                                            <?php elseif($menu->type == 'categories'): ?>    
                                            <li class="dropdown"><a href='<?php echo e(url('/career')); ?>'><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?> </a></li>
                                            <?php elseif($menu->type == 'projects'): ?>    
                                            <li class="<?php if(Request::segment(1) == ''): ?> current <?php endif; ?>"><a href='<?php echo e(url('/projects')); ?>'><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?> </a></li>
                                            <?php else: ?>
                                                <li class="<?php if(Request::segment(1) == $menu->type): ?> current <?php endif; ?> <?php if($menu->link_en == 'Book_Now'): ?> book-now <?php endif; ?>"><a href='<?php echo e(url("$menu->type")); ?>'><?php echo e((app()->getLocale() == 'en')?$menu->name_en:$menu->name_ar); ?></a></li>
                                            <?php endif; ?>
                                        <?php endif; ?>
                                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </nav>
            </header>
            
            <div class="stricky-header stricked-menu main-menu main-menu-three">
                <div class="sticky-header__content"></div><!-- /.sticky-header__content -->
            </div><!-- /.stricky-header -->

            <?php echo $__env->yieldContent('content'); ?>
            <!--Newsletter Start-->
            <section class="newsletter">
                <div class="container">
                    <div class="newsletter__inner wow fadeInUp" data-wow-delay="100ms">
                        <div class="newsletter-shape-1"
                            style="background-image: url(<?php echo e(url('resources/assets/front/images/shapes/newsletter-shape-1.png')); ?>);"></div>
                        <div class="newsletter__left">
                            <h3 class="newsletter__title"><?php echo e(trans('home.We are always trying to provide the best service.')); ?></h3>
                        </div>
                        <div class="newsletter__right">
                            <a href="<?php echo e(route('checkUrl', '/contact-us')); ?>" class="thm-btn why-choose-one__btn">
                                <?php echo e(trans('home.ContactWithUs')); ?>

                            </a>
                        </div>
                    </div>
                </div>
            </section>
            <!--Newsletter End-->
            <!--Site Footer Start-->
            <footer class="site-footer">
                <div class="site-footer-bg">
                </div>
                <div class="site-footer__top">
                    <div class="container">
                        <div class="row">
                            <div class="col-xl-3 col-lg-6 col-md-6 wow fadeInUp" data-wow-delay="100ms">
                                <div class="footer-widget__column footer-widget__about">
                                    <div class="footer-widget__logo">
                                        <a href="<?php echo e(url('/')); ?>"><img src="<?php echo e(url('uploads/settings/source/'. $configration->footer_logo)); ?>" alt=""></a>
                                    </div>
                                    <div class="footer-widget__about-text-box">
                                        <p class="footer-widget__about-text">
                                            <?php echo $configration->about_app; ?></p>
                                    </div>
                                    <div class="site-footer__social">
                                        <?php if($setting->twitter !=null): ?><a href="<?php echo e($setting->twitter); ?>" class="fab fa-twitter"></a><?php endif; ?>
                                        <?php if($setting->facebook !=null): ?> <a href="<?php echo e($setting->facebook); ?>" class="fab fa-facebook-square"></a> <?php endif; ?>
                                        <?php if($setting->instgram !=null): ?><a href="<?php echo e($setting->instgram); ?>" class="fab fa-instagram"></a><?php endif; ?>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-6 col-md-6 wow fadeInUp" data-wow-delay="200ms">
                                <div class="footer-widget__column footer-widget__explore clearfix">
                                    <h3 class="footer-widget__title"><?php echo e(trans('home.Important-links')); ?></h3>
                                    <ul class="footer-widget__explore-list list-unstyled clearfix">
                                        <?php $__currentLoopData = $menus; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $menu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li><a href="<?php echo e($menu->type); ?>"><?php echo e(app()->getLocale() == "en" ? $menu->name_en : $menu->name_ar); ?></a></li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-6 col-md-6 wow fadeInUp" data-wow-delay="300ms">
                                <div class="footer-widget__column footer-widget__services clearfix">
                                    <h3 class="footer-widget__title"><?php echo e(trans('home.services')); ?></h3>
                                    <ul class="footer-widget__services-list list-unstyled clearfix">
                                        <?php $__currentLoopData = $footerServices; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $footerService): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li><a href="<?php echo e($footerService->link); ?>"><?php echo e(app()->getLocale() == "en" ? $footerService->name_en : $footerService->name_ar); ?></a></li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>   
                                    </ul>
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-6 col-md-6 wow fadeInUp" data-wow-delay="400ms">
                                <div class="footer-widget__column footer-widget__contact clearfix">
                                    <h3 class="footer-widget__title"><?php echo e(trans('home.contact-us')); ?></h3>
                                    <ul class="footer-widget__contact-list list-unstyled clearfix">
                                        <li>
                                            <div class="icon">
                                                <span class="icon-phone-call"></span>
                                            </div>
                                            <div class="text">
                                                <h5><?php echo e(trans('home.mobile')); ?> :</h5>
                                                <p><a href="tel:+2<?php echo e($setting->mobile); ?>" dir="ltr"><?php echo e($setting->mobile); ?></a></p>
                                            </div>
                                        </li>
                                        <li>
                                            <div class="icon">
                                                <span class="icon-message"></span>
                                            </div>
                                            <div class="text">
                                                <h5><?php echo e(trans('home.email')); ?> :</h5>
                                                <p><a href="mailto:<?php echo e($setting->email); ?> "><?php echo e($setting->email); ?></a></p>
                                            </div>
                                        </li>
                                        <li>
                                            <div class="icon">
                                                <span class="icon-location"></span>
                                            </div>
                                            <div class="text">
                                                <h5><?php echo e(trans('home.address')); ?> :</h5>
                                                <p><?php echo e($configration->address1); ?></p>
                                            </div>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="site-footer__bottom">
                    <div class="container">
                        <div class="row">
                            <div class="col-xl-12">
                                <div class="site-footer__bottom-inner">
                                    <p class="site-footer__bottom-text"><?php echo e(trans('home.All Rights Reserved')); ?> &copy; <?php echo e(date('Y')); ?> <?php echo e($configration->app_name); ?> <a href="https://be-group.com/be_en" target="_blank"><?php echo e(trans('home.Developed and Designed by BeGroup')); ?>

                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </footer>
            <!--Site Footer End-->

        </div><!-- /.page-wrapper -->

        <div class="mobile-nav__wrapper">
            <div class="mobile-nav__overlay mobile-nav__toggler"></div>
            <!-- /.mobile-nav__overlay -->
            <div class="mobile-nav__content">
                <span class="mobile-nav__close mobile-nav__toggler"><i class="fa fa-times"></i></span>
    
                <div class="logo-box">
                    <a href="<?php echo e(url('/')); ?>" aria-label="logo image"><img src="<?php echo e(url('uploads/settings/source/'. $configration->app_logo)); ?>" alt="logo" /></a>
                </div>
                <!-- /.logo-box -->
                <div class="mobile-nav__container"></div>
                <!-- /.mobile-nav__container -->
    
                <ul class="mobile-nav__contact list-unstyled">
                    <li>
                        <i class="fa fa-envelope"></i>
                        <a href="mailto:<?php echo e($setting->email); ?>"><?php echo e($setting->email); ?></a>
                    </li>
                    <li>
                        <i class="fa fa-phone-alt"></i>
                        <a href="tel:+2<?php echo e($setting->mobile); ?>"><?php echo e($setting->mobile); ?></a>
                    </li>
                </ul><!-- /.mobile-nav__contact -->
                <div class="mobile-nav__top">
                    <div class="mobile-nav__social">
                        <?php if($setting->twitter !=null): ?><a href="<?php echo e($setting->twitter); ?>" class="fab fa-twitter"></a><?php endif; ?>
                        <?php if($setting->facebook !=null): ?> <a href="<?php echo e($setting->facebook); ?>" class="fab fa-facebook-square"></a> <?php endif; ?>
                        <?php if($setting->instgram !=null): ?><a href="<?php echo e($setting->instgram); ?>" class="fab fa-instagram"></a><?php endif; ?>
                    </div><!-- /.mobile-nav__social -->
                </div><!-- /.mobile-nav__top -->
    
    
    
            </div>
            <!-- /.mobile-nav__content -->
        </div>
        <!-- /.mobile-nav__wrapper -->
        

        <!-- Social Media -->
        <ul id="wrapper" class="">
            <?php if($setting->mobile !=null): ?><li class="Icon call">
            <span class="tooltip">Call</span>
            <a href="tel:+2<?php echo e($setting->mobile); ?>"><span><i class="fa fa-phone"></i></span></a>
            </li><?php endif; ?>
            <?php if($setting->whatsapp !=null): ?><li class="Icon whatsapp">
            <span class="tooltip">whatsapp</span>
            <a href="https://wa.me/<?php echo e($setting->whatsapp); ?>" target="_blank"><span><i class="fab fa-whatsapp"></i></span></a>
            </li><?php endif; ?>
            <?php if($setting->facebook !=null): ?><li class="Icon facebook">
            <span class="tooltip">Facebook</span>
            <a href="<?php echo e($setting->facebook); ?>" target="_blank"><span><i class="fab fa-facebook"></i></span></a>
            </li><?php endif; ?>
            <?php if($setting->instgram !=null): ?><li class="Icon instagram">
            <span class="tooltip">Instagram</span>
            <a href="<?php echo e($setting->instgram); ?>" target="_blank"><span><i class="fab fa-instagram"></i></span></a>
            </li><?php endif; ?>
        </ul>
    <!-- End Social Media -->
        <a href="#" data-target="html" class="scroll-to-target scroll-to-top"><i class="fa fa-angle-up"></i></a>

        
        <script src="<?php echo e(url('resources/assets/front/vendors/jquery/jquery-3.6.0.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/bootstrap/js/bootstrap.bundle.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/jarallax/jarallax.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/jquery-ajaxchimp/jquery.ajaxchimp.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/jquery-appear/jquery.appear.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/jquery-circle-progress/jquery.circle-progress.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/jquery-magnific-popup/jquery.magnific-popup.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/jquery-validate/jquery.validate.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/nouislider/nouislider.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/swiper/swiper.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/tiny-slider/tiny-slider.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/wnumb/wNumb.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/wow/wow.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/isotope/isotope.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/countdown/countdown.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/owl-carousel/owl.carousel.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/bxslider/jquery.bxslider.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/bootstrap-select/js/bootstrap-select.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/vegas/vegas.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/jquery-ui/jquery-ui.js')); ?>"></script>
        
        <script src="<?php echo e(url('resources/assets/front/vendors/timepicker/timePicker.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/circleType/jquery.circleType.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/circleType/jquery.lettering.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/odometer/odometer.min.js')); ?>"></script>
        <!-- toolbar js -->
        <script src="<?php echo e(url('resources/assets/front/vendors/toolbar/js/js.cookie.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/toolbar/js/jQuery.style.switcher.min.js')); ?>"></script>
        <script src="<?php echo e(url('resources/assets/front/vendors/toolbar/js/toolbar.js')); ?>"></script>

        <script src="<?php echo e(url('resources/assets/front/js/script.js')); ?>"></script>
        

        <?php echo $__env->yieldContent('script'); ?>
    </body>
</html><?php /**PATH C:\xampp\htdocs\ziad-samir\resources\views/layouts/app.blade.php ENDPATH**/ ?>