<?php $__env->startSection('meta'); ?>
    <?php echo $metatags ?>

    <?php echo $schema ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <!--====== Page Title Start ======-->
    <section class="page-title-area page-title-bg" style="background-image: url(<?php echo e(url('resources/assets/front/img/bredcrumb.jpg')); ?>);">
        <div class="container">
            <h1 class="page-title"><?php echo e(trans('home.contact-us')); ?></h1>

            <ul class="breadcrumb-nav">
                <li><a href="<?php echo e(url('/')); ?>"><?php echo e(trans('home.home')); ?></a></li>
                <li><i class="fas fa-angle-right"></i></li>
                <li><?php echo e(trans('home.contact-us')); ?></li>
            </ul>
        </div>
    </section>
    <!--====== Page Title End ======-->

    <!--====== Contact Info Section Start ======-->
    <section class="section-gap contact-top-wrappper">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-lg-6 col-md-6 col-12">
                    <div class="contact-info-wrapper">
                        <div class="single-contact-info">
                            <div class="single-contact-info">
                                <h3 class="info-title">
                                    <i class="fal fa-map-marker-alt"></i><?php echo e(trans('home.address')); ?>

                                </h3>
                                <p>
                                    <?php echo e($configration->address1); ?>

                                </p>
                                <?php if($configration->address2 != null): ?>
                                <p>
                                    <?php echo e($configration->address2); ?>

                                </p>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 col-md-6 col-12">
                    <div class="contact-info-wrapper">
                        <div class="single-contact-info">
                            <div class="single-contact-info">
                                <h3 class="info-title">
                                    <i class="fal fa-coffee"></i><?php echo e(trans('home.contact-us')); ?> 
                                </h3>
                                <ul>
                                    <li>
                                        <span><?php echo e(trans('home.phone')); ?></span><a href="tel:+2<?php echo e($setting->telphone); ?>"><?php echo e($setting->telphone); ?></a>
                                    </li>
                                    <li>
                                        <span><?php echo e(trans('home.email')); ?></span><a href="mailto:<?php echo e($setting->email); ?>"><span><?php echo e($setting->email); ?></span></a>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--====== Contact Info Section End ======-->

    <!--====== Appointment Section Start ======-->
    <section class="appointment-section section-gap-bottom">
        <div class="container">
            <div class="appointment-form-two">
                <div class="form-wrap">
                    <div class="section-heading mb-40">
                        <span class="tagline"><?php echo e(trans('home.contact-us')); ?></span>
                        <h2 class="title"><?php echo e(trans('home.Your child\'s health matters to us')); ?></h2>
                    </div>
                    <form action="<?php echo e(route('saveContactUs')); ?>" method="post">
                        <?php echo csrf_field(); ?>
                        <div class="row">
                            <div class="col-12">
                                <div class="input-field wow fadeInLeft" data-wow-delay="0.3s">
                                        <input type="text" name="name" required placeholder="<?php echo e(trans('home.name')); ?>">
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="input-field wow fadeInLeft" data-wow-delay="0.3s">
                                        <input type="email" name="email" required placeholder="<?php echo e(trans('home.email')); ?>">
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="input-field wow fadeInLeft" data-wow-delay="0.3s">
                                    <input type="text" name="phone" required placeholder="<?php echo e(trans('home.mobile')); ?>">
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="input-field wow fadeInLeft" data-wow-delay="0.3s">
                                        <textarea name="message" id="#" required  cols="30" rows="10" placeholder="<?php echo e(trans('home.leave-message')); ?>"></textarea>
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="input-field wow fadeInLeft" data-wow-delay="0.7s">
                                    <button type="submit" class="template-btn">
                                        <?php echo e(trans('home.contact-us')); ?> <i class="far fa-plus"></i>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
                <div class="appointment-image" style="background-image: url(<?php echo e(url('resources/assets/front/img/appointment/07.jpg')); ?>);">
                </div>
            </div>
        </div>
    </section>
    <!--====== Appointment Section End ======-->

    <!--====== Maps Start ======-->
    <div class="map">
        <iframe src="<?php echo e($setting->map_url); ?>" height="400" style="border:0; width: 100%;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
    </div>
    <!--====== Maps End ======-->

<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    
    <script>
          function initMap() {
            var uluru = {lat: <?php echo e($setting->lat); ?>, lng: <?php echo e($setting->lng); ?> };
            var map = new google.maps.Map(document.getElementById('map'), {
              zoom: 16,
              center: uluru
            });
            var marker = new google.maps.Marker({
              position: uluru,
              map: map
            });
          }  
    </script>
    
    <?php if(Session::has('contact_message')): ?>
        <script>
            $.alert({
                title: "<?php echo e(trans('home.contact_us')); ?>",
                content: "<?php echo e(Session::get('contact_message')); ?>",
                buttons: {
                    ok: {
                        text: "<?php echo e(trans('home.OK')); ?>",
                        btnClass: 'btn main-btn',
                    },
                },
                columnClass: 'col-md-6'
            });
        </script>
    <?php endif; ?>
    <?php
        Session::forget('contact_message')
    ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\dr-sameh\resources\views/website/contact-us.blade.php ENDPATH**/ ?>